------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Resources;
use Resources;
with Resources.Np;
use Resources.Np;
with Resources.Pcp;
use Resources.Pcp;
with Resources.Pip;
use Resources.Pip;
with Resource_Set;
use Resource_Set;
use Resource_Set.Generic_Resource_Set;

with Tasks;
use Tasks;

package body Blocking_Time is



   function Compute_Blocking_Time_Task (
         My_Tasks     : in     Tasks_Set;       
         My_Resources : in     Resources_Set;   
         A_Task       : in     Unbounded_String ) 
     return Natural is 


      Pip_Bt : Natural := 0;  
      Pcp_Bt : Natural := 0;  
      Np_Bt  : Natural := 0;  

   begin

      Pip_Bt := Resources.Pip.Blocking_Time(A_Task,My_Tasks,My_Resources);
      return Pip_Bt;

   exception
      when Resources.Pip.Others_Protocol_Found =>
         begin
            Pcp_Bt := Resources.Pcp.Blocking_Time(A_Task,My_Tasks,
               My_Resources);
            return Pcp_Bt;
         exception
            when Resources.Pcp.Others_Protocol_Found =>
               begin
                  Np_Bt := Resources.Np.Blocking_Time(A_Task,My_Tasks,
                     My_Resources);
                  return Np_Bt;
               exception
                  when Resources.Np.Others_Resources_Protocol_Found =>
                     begin
                        raise Compute_Aborded;
                     end;
               end;
         end;

         return 0;

   end Compute_Blocking_Time_Task;




end Blocking_Time;
