------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------


with Call_Framework;
use Call_Framework;

with Processors;
use Processors;
with Processor_Set;
use Processor_Set;
use Processor_Set.Generic_Processor_Set;

with Systems;
use Systems;

with Ada.Strings.Unbounded;
use  Ada.Strings.Unbounded;




package Call_Dependency_Framework  is




   procedure Chetto_Parameter_Modifications (
         Sys                : in out System;                           
         Result             : in out Unbounded_String;                 
         A_Processor        : in     Processor_Ptr;                    
         Compute_Deadlines  : in     Boolean;                          
         Compute_Priorities : in     Boolean;                          
         Update_Tasks_Set   : in     Boolean;                          
         Output             : in     Output_Format    := String_Output ); 


   procedure Compute_End_To_End_Response_Time (
         Sys              : in out System;                           
         Result           : in out Unbounded_String;                 
         A_Processor      : in     Processor_Ptr;                    
         Update_Tasks_Set : in     Boolean;                          
         One_Step         : in     Boolean;                          
         Output           : in     Output_Format    := String_Output ); 



end Call_Dependency_Framework;


