------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Task_Set;
use Task_Set;

with Message_Set;
use Message_Set;

with Processor_Set;
use Processor_Set;

with Task_Dependencies;
use Task_Dependencies;

with Network;
use Network;

with Scheduler;
use Scheduler;

package Distributed_Scheduling is



   Internal_Error : exception;  


   procedure Tindell (
         My_Tasks      : in out Tasks_Set;               
         My_Messages   : in out Messages_Set;            
         My_Deps       : in     Tasks_Dependencies;      
         My_Processors : in     Processors_Set;          
         My_Network    : in     Generic_Network'Class;   
         Response_Time :    out Scheduler.Response_Table ); 



end Distributed_Scheduling;

