------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- 
-- 
------------------------------------------------------------------------------
------------------------------------------------------------------------------


with Ada.Strings.Unbounded.Text_Io;
use Ada.Strings.Unbounded.Text_Io;

with Text_Io;
use Text_Io;



package body Parameters is



   procedure Initialize (
         My_Parameter :    out Parameter_Ptr ) is 
   begin
      My_Parameter:=null;
   end Initialize;




   procedure Put (
         My_Parameter : Parameter_Ptr ) is 
   begin
      if (My_Parameter/=null) then
         Put_Line("Parameter name : " & My_Parameter.Name);
         Put_Line("          type : " & My_Parameter.Ptype'Img);
         Put("         value : ");
         case My_Parameter.Ptype is
            when Boolean_Parameter =>
               Put_Line(My_Parameter.Boolean_Value'Img);
            when Integer_Parameter =>
               Put_Line(My_Parameter.Integer_Value'Img);
            when Double_Parameter =>
               Put_Line(My_Parameter.Double_Value'Img);
            when String_Parameter =>
               Put_Line(My_Parameter.String_Value);
         end case;
      end if;
   end Put;




end Parameters;
