%% 
"--".*	{ 
		if (Yytext = "--!TRACE") 
			then Trace := not Trace;
            end if; 
		Print_Trace;
	}
"double_task_array"	{
		Print_Trace; 
		return Double_Type_Task_Array_Token;
	}
"double"	{
		Print_Trace; 
		return Double_Type_Token;
	}
"integer_task_array"	{
		Print_Trace; 
		return Integer_Type_Task_Array_Token;
	}
"integer"	{
		Print_Trace; 
		return Integer_Type_Token;
	}
"boolean_task_array"	{
		Print_Trace; 
		return Boolean_Type_Task_Array_Token;
	}
"boolean"	{
		Print_Trace; 
		return Boolean_Type_Token;
	}
"random"   {
		Print_Trace; 
                return Random_Token;
	}
"uniform"   {
		Print_Trace; 
                return Uniform_Token;
	}
"exponential"   {
		Print_Trace; 
                return Exponential_Token;
	}
"time_seed"     {
                Print_Trace;
                return Time_Seed_Token;
        }
"set"	{
		Print_Trace; 
		return set_Token;
	}
"forall"	{
		Print_Trace; 
		return Forall_Token;
	}
"return"	{
		Print_Trace; 
		return Return_Token;
        }
"max_to_index"           {
		Print_Trace; 
                return Max_To_Index_Token;
	}
"min_to_index"           {
		Print_Trace; 
                return Min_To_Index_Token;
	}
"max"		{
		Print_Trace; 
		return Max_Token;
	}
"min"		{
		Print_Trace; 
		return Min_Token;
	}
"lcm"		{
		Print_Trace; 
		return Lcm_Token;
	}
"put"		{
		Print_Trace; 
		return Put_Token;
	}
"if"		{
		Print_Trace; 
		return If_Token;
	}
"mod"       {
		Print_Trace; 
		return Mod_Token;
	}
"then"		{
		Print_Trace; 
		return Then_Token;
	}
"end"		{
		Print_Trace; 
		return End_Token;
	}
"else"		{
		Print_Trace; 
		return Else_Token;
	}
"while"          {
		Print_Trace; 
                return While_Token;
	}
"loop"          {
		Print_Trace; 
                return Loop_Token;
	}
"or"         {
		Print_Trace;
		return Or_Token; 
	}
"and"         { 
		Print_Trace;
		return And_Token; 
	}
"not"         { 
		Print_Trace;
		return Not_Token; 
	}
"false"         { 
		Print_Trace;
		return False_Token; 
	}
"true"         { 
		Print_Trace;
		return True_Token; 
	}
"start_section:"              {
		Print_Trace; 
		return Start_Token;
	}
"priority_section:"		{
		Print_Trace; 
		return Priority_Token;
	}
"election_section:"		{
		Print_Trace; 
		return Election_Token;
	}
"task_activation_section:"		{
		Print_Trace; 
		return Activation_Token;
	}
"check_resource_section:"		{
		Print_Trace; 
		return Check_Resource_Token;
	}
"release_resource_section:"		{
		Print_Trace; 
		return Release_Resource_Token;
	}
"allocate_resource_section:"		{
		Print_Trace; 
		return Allocate_Resource_Token;
	}
"**"        {
		Print_Trace; 
		return Exp_Token; 
	}
":="         {
		Print_Trace; 
		return Affectation_Token; 
	}
","         {
		Print_Trace; 
		return ','; 
	}
":"         {
		Print_Trace; 
		return ':'; 
	}
"|"		{
		Print_Trace; 
		return '|';
	}
";"         {
		Print_Trace; 
		return ';'; 
	}
"("         {
		Print_Trace; 
		return '('; 
	}
")"         {
		Print_Trace; 
		return ')'; 
	}
"["         {
		Print_Trace; 
		return '['; 
	}
"]"         {
		Print_Trace; 
		return ']'; 
	}
"{"         {
		Print_Trace; 
		return '{'; 
	}
"}"         {
		Print_Trace; 
		return '}'; 
	}
"+"         {
		Print_Trace; 
		return '+'; 
	}
"/"         {
		Print_Trace; 
		return '/'; 
	}
"*"         {
		Print_Trace; 
		return '*'; 
	}
"-"         {
		Print_Trace; 
		return '-'; 
	}
"<="         {
		Print_Trace; 
		return Inf_Equal_Token; 
	}
">="         {
		Print_Trace; 
		return Sup_Equal_Token; 
	}
"<"         {
		Print_Trace; 
		return Inf_Token; 
	}
">"         {
		Print_Trace; 
		return Sup_Token; 
	}
"/="         {
		Print_Trace; 
		return Not_Equal_Token; 
	}
"="         {
		Print_Trace; 
		return Equal_Token; 
	}
[a-zA-Z]([_]?[a-zA-Z0-9])*      {
		Print_Trace; 
		return Identifier_Token; 
	}
[0-9]+"."[0-9]+      {
		Print_Trace; 
		return Double_Token; 
	}
[0-9]+      {
		Print_Trace; 
		return Integer_Token; 
	}
\n          { 
		Linenum; 
		Print_Trace;
	}
[ \r\t\f]+ {
		Print_Trace;
	}
%%

with Scheduler_Tokens; 
use  Scheduler_Tokens;

package Scheduler_Lex is

  Lines      	 : Positive := 1;
  Num_Errors     : Natural  := 0;
  Trace          : Boolean  := false;

  procedure Print_Trace;
  procedure Linenum;

  function Yylex return Token;


end Scheduler_Lex;

----------------------------------------------------------------


with Text_Io;
use Text_Io;


package body Scheduler_Lex is

  procedure Print_Trace is
  begin
	if Trace then
		Text_Io.Put(Yytext);
	end if;
  end Print_Trace;



  procedure Linenum is
	Line_Number_String : constant String := Integer'Image (Lines);
  begin
	Lines := Lines + 1;
	if Trace then
    		Put("L"); 
		Put(Line_Number_String);
    		for i in 1 .. 5 - Integer (Line_Number_String'length)
			loop
     				Text_Io.Put(" ");
    			end loop;
	end if;

  end Linenum;




##

end Scheduler_Lex;

