
with Scheduler_Dfa;
use Scheduler_Dfa;
package body Scheduler_Dfa is
   function Yytext return String is 
      I            :          Integer;  
      Str_Loc      :          Integer            := 1;  
      Buffer       :          String (1 .. 1024);  
      Empty_String : constant String             := "";  
   begin
      -- find end of buffer
      I := Yytext_Ptr;
      while ( Yy_Ch_Buf(I) /= Ascii.Nul ) loop
         Buffer(Str_Loc ) := Yy_Ch_Buf(I);
         I := I + 1;
         Str_Loc := Str_Loc + 1;
      end loop;
      --    return yy_ch_buf(yytext_ptr.. i - 1);

      if (Str_Loc < 2) then
         return Empty_String;
      else
         return Buffer(1..Str_Loc-1);
      end if;

   end;

   -- returns the length of the matched text
   function Yylength return Integer is 
   begin
      return Yy_Cp - Yy_Bp;
   end Yylength;

   -- done after the current pattern has been matched and before the
   -- corresponding action - sets up yytext

   procedure Yy_Do_Before_Action is 
   begin
      Yytext_Ptr := Yy_Bp;
      Yy_Hold_Char := Yy_Ch_Buf(Yy_Cp);
      Yy_Ch_Buf(Yy_Cp) := Ascii.Nul;
      Yy_C_Buf_P := Yy_Cp;
   end Yy_Do_Before_Action;

end Scheduler_Dfa;
