with Scheduler_Dfa;
use Scheduler_Dfa;
with Text_Io;
use Text_Io;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;


package Scheduler_Io is
   User_Input_File       : File_Type;  
   User_Output_File      : File_Type;  
   Null_In_Input         : exception;  
   Aflex_Internal_Error  : exception;  
   Unexpected_Last_Match : exception;  
   Pushback_Overflow     : exception;  
   Aflex_Scanner_Jammed  : exception;  
   type Eob_Action_Type is 
         (Eob_Act_Restart_Scan, 
          Eob_Act_End_Of_File,  
          Eob_Act_Last_Match); 
   Yy_End_Of_Buffer_Char : constant Character := Ascii.Nul;  
   Yy_N_Chars            :          Integer;                
   -- number of characters read into yy_ch_buf 
   -- true when we've seen an EOF for the current input file
   Yy_Eof_Has_Been_Seen : Boolean;  


   procedure Yy_Input (
         Buf      :    out Unbounded_Character_Array; 
         Result   :    out Integer;                   
         Max_Size : in     Integer                    ); 
   function Yy_Get_Next_Buffer return Eob_Action_Type; 
   procedure Yyunput (
         C     :        Character; 
         Yy_Bp : in out Integer    ); 
   procedure Unput (
         C : Character ); 
   function Input return Character; 
   procedure Output (
         C : Character ); 
   function Yywrap return Boolean; 
   procedure Open_Input (
         Fname : in     Unbounded_String ); 
   procedure Close_Input; 
   procedure Create_Output (
         Fname : in     String := "" ); 
   procedure Close_Output; 


end Scheduler_Io;
