with  Ada.Strings.Unbounded;
use   Ada.Strings.Unbounded;
with  Ada.Numerics.Aux;
use   Ada.Numerics.Aux;
with  Statements;
use   Statements;
with  Expressions;
use   Expressions;
use   Expressions.Variables_Type_Package;
with  Simulations;
use   Simulations;
package Scheduler_Tokens is



   type Key_Type is 
         (Cval, 
          Ival, 
          Noval); 

   type Yystype is 
      record 
         String_Value  : Unbounded_String;  
         Integer_Value : Integer;  
         Double_Value  : Double;  
         Expr          : Expression_Ptr;  
         Stats         : Statement_Ptr;  
         Variable_Type : Simulation_Data_Type;  
      end record; 


   Yylval,  
   Yyval  : Yystype;  
   type Token is 
         (End_Of_Input,                  
          Error,                         
          Double_Type_Token,             
          Double_Type_Task_Array_Token,  
          Integer_Type_Token,            
          Integer_Type_Task_Array_Token, 
          Boolean_Type_Token,            
          Boolean_Type_Task_Array_Token, 
          Double_Token,                  
          Double_Task_Array_Token,       
          Integer_Token,                 
          Integer_Task_Array_Token,      
          Boolean_Token,                 
          Boolean_Task_Array_Token,      
          Identifier_Token,              
          True_Token,                    
          False_Token,                   
          Forall_Token,                  
          Set_Token,                     
          While_Token,                   
          Loop_Token,                    
          Return_Token,                  
          Max_Token,                     
          Min_Token,                     
          Lcm_Token,                     
          Put_Token,                     
          Mod_Token,                     
          Max_To_Index_Token,            
          Min_To_Index_Token,            
          Then_Token,                    
          End_Token,                     
          Else_Token,                    
          If_Token,                      
          Uniform_Token,                 
          Random_Token,                  
          Time_Seed_Token,               
          Exponential_Token,             
          Start_Token,                   
          Priority_Token,                
          Election_Token,                
          Activation_Token,              
          Check_Resource_Token,          
          Release_Resource_Token,        
          Allocate_Resource_Token,       
'[', ']', '(', ')', '}', '{', Equal_Token, '+', '-', '*', '/', Dummy, Exp_Token, ':', '|', ';', ',', Inf_Token, Sup_Token, Inf_Equal_Token, Sup_Equal_Token, Not_Equal_Token, Affectation_Token, Or_Token, And_Token, Not_Token); 

   Syntax_Error : exception;  

end Scheduler_Tokens;
