------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Text_Io;
use Text_Io;



package body Processors is


   procedure Put (
         My_Processor : in     Processor_Ptr ) is 
   begin
      Put_Line ("Processor name : " & To_String(My_Processor.Name) );
      Put(My_Processor.Scheduler.all);
   end Put;


   procedure Set_Scheduler (
         My_Processor : in out Processor;    
         Sched        : in     Scheduler_Ptr ) is 
   begin
      My_Processor.Scheduler:=Sched;
   end Set_Scheduler;


   function Get_Scheduler (
         My_Processor : in     Processor ) 
     return Scheduler_Ptr is 
   begin
      return My_Processor.Scheduler;
   end Get_Scheduler;


   procedure Set_Name (
         My_Processor : in out Processor;       
         Name         : in     Unbounded_String ) is 
   begin
      My_Processor.Name:=Name;
   end Set_Name;


   function Get_Name (
         My_Processor : in     Processor ) 
     return Unbounded_String is 
   begin
      return My_Processor.Name;
   end Get_Name;


   function Copy (
         My_Processor : in     Processor_Ptr ) 
     return Processor_Ptr is 

      Ptr : Processor_Ptr;  

   begin

      Ptr:=new Processor;
      Ptr.all:=My_Processor.all;
      Ptr.Scheduler:=Copy(My_Processor.Scheduler.all);

      return Ptr;

   end Copy;




   procedure Put_Name (
         A_Processor : in     Processor_Ptr ) is 
   begin
      Put(To_String(A_Processor.Name));
   end Put_Name;




end Processors;

