------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Numerics.Float_Random;
use Ada.Numerics.Float_Random;

with Ada.Numerics.Aux;
use Ada.Numerics.Aux;

package Random_Tools is

   -- return a random parameter between min and max
   function Get_Rand_Parameter (
         Min  : in     Natural;  
         Max  : in     Natural;  
         Seed : in     Generator ) 
     return Natural; 

   -- return interarrival time or service time of a queuing sytem
   -- use function Random(Seed) for the "Uniform_Parameter"
   -- parameter
   function Get_Exponential_Time (
         Rate              : in     Double;               
         Uniform_Parameter : in     Uniformly_Distributed ) 
     return Natural; 

   -- generate poisson inter arrival time (different from 0)
   function Get_Inter_Arrival_Time (
         Arrival_Rate : in     Double;   
         Seed         : in     Generator ) 
     return Natural; 

end Random_Tools;
