------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Resource_Set;
use Resource_Set;
use Resource_Set.Generic_Resource_Set;

package body Resources.Np is


   function Blocking_Time (
         Task_Name      : in     Unbounded_String; 
         A_Task_Set     : in     Tasks_Set;        
         A_Resource_Set : in     Resources_Set     ) 
     return Natural is 

      A_Resource            : Resource_Ptr;  
      My_Resources_Iterator : Resources_Iterator;  

   begin

      Reset_Iterator(My_Resources_Iterator);

      loop

         Current_Element(A_Resource_Set, A_Resource, My_Resources_Iterator);

         if(A_Resource.Protocol/= No_Protocol) then

            raise Others_Resources_Protocol_Found;

         end if;

         exit when Is_Last_Element(A_Resource_Set, My_Resources_Iterator) =
            True;

         Next_Element(A_Resource_Set, My_Resources_Iterator);

      end loop;

      return 0;

   end Blocking_Time;


end Resources.Np ;

