------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Resource_Set;
use Resource_Set;

with Task_Set;
use Task_Set;

package Resources.Pcp is

   Others_Protocol_Found           : exception;  
   Others_Resources_Protocol_Found : exception;  

   type Pcp_Resource is new Generic_Blocking_Time with private; 

   procedure Initialize (
         A_Blocking_Time : in out Pcp_Resource ); 

   function Pi_Rk (
         Resource_Name  : in     Unbounded_String; 
         A_Resource_Set : in     Resources_Set;    
         A_Task_Set     : in     Tasks_Set         ) 
     return Priority_Range; 


   function Pcp_Critical_Tasks (
         Task_Name      : in     Unbounded_String; 
         A_Task_Set     : in     Tasks_Set;        
         A_Resource_Set : in     Resources_Set     ) 
     return Natural; 

   function Blocking_Time (
         Task_Name      : in     Unbounded_String; 
         A_Task_Set     : in     Tasks_Set;        
         A_Resource_Set : in     Resources_Set     ) 
     return Natural; 
private
   type Pcp_Resource is new Generic_Blocking_Time with 
      record 
null; --Blocking_Time: PCP_Blocking_Time;
end record;

end Resources.Pcp;
