------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Task_Set;
use Task_Set;
use Task_Set.Generic_Task_Set;

with Scheduler;
with Scheduler.Dynamic_Priority;


with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;




package Scheduler.Dynamic_Priority.Edf is


   type Edf_Scheduler is new Dynamic_Priority_Scheduler with private; 
   type Edf_Scheduler_Ptr is access all Edf_Scheduler'Class; 


   procedure Initialize (
         A_Scheduler : in out Edf_Scheduler ); 

   procedure Finalize (
         A_Scheduler : in out Edf_Scheduler ); 

   procedure Adjust (
         A_Scheduler : in out Edf_Scheduler ); 


   function Copy (
         A_Scheduler : in     Edf_Scheduler ) 
     return Scheduler_Ptr; 




   procedure Do_Election (
         My_Scheduler      : in out Edf_Scheduler;          
         Si                : in out Scheduling_Information; 
         Processor_Name    : in     Unbounded_String;       
         At_Time           :        Natural;                
         My_Dependencies   : in     Tasks_Dependencies;     
         With_Offsets      :        Boolean;                
         With_Precedencies :        Boolean;                
         With_Resources    :        Boolean;                
         Elected           : in out Tasks_Range;            
         No_Task           : in out Boolean                 ); 





private

   type Edf_Scheduler is new Dynamic_Priority_Scheduler with null record; 

end Scheduler.Dynamic_Priority.Edf ;


