------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Text_Io;
use Ada.Text_Io;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;


with Config;

with Natural_Util;
use Natural_Util;

with Tasks;
use Tasks;

with Indexed_Tables;



package body Time_Units is

   procedure Put (
         E : in     Time_Unit_Event_Ptr ) is 
   begin
      if (E/=null) then
         Put(E.Etype'Img & '/');
         case E.Etype is
            when Running =>
               Put(To_String(E.Running_Task.Name));
            when Activation =>
               Put(To_String(E.Activated_Task.Name));
            when Allocate_Resource =>
               Put(To_String(E.Allocated_Resource.Name));
            when Release_Resource =>
               Put(To_String(E.Released_Resource.Name));
         end case;
      end if;
   end Put;

   procedure Put_Line (
         E : in     Time_Unit_Event_Ptr ) is 
   begin
      if (E /= null) then
         Put(E);
         New_Line;
      end if;
   end Put_Line;


   procedure Initialize (
         E : in out Time_Unit_Event_Ptr ) is 
   begin
      E := null;
   end Initialize;

end Time_Units;


