------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Systems;
use Systems;

with Call_Framework;
use Call_Framework;
use Call_Framework.Framework_Response_Package;
use Call_Framework.Framework_Request_Package;

with Call_Buffer_Framework;
use Call_Buffer_Framework;
use Call_Buffer_Framework.Buffer_Result_Package;


with Multiprocessor_Services;
use Multiprocessor_Services;
use Multiprocessor_Services.Scheduling_Result_Per_Processor;


procedure Call_Ada is 

   Sys : System;  

   Response_List : Framework_Response_Table;  
   Request_List  : Framework_Request_Table;  
   A_Request     : Framework_Request;  



begin


   -- Reading the file
   --
   Read_From_Xml_File(Sys,To_Unbounded_String("call_framework.xml"));


   -- Call the framework 
   --
   Initialize(A_Request);
   A_Request.Statement:=Scheduling_Feasibility_Basics;
   Add(Request_List, A_Request);
   Sequential_Framework_Request (
      Sys, Request_List, Response_List);


   -- Display the result
   --
   Put(Response_List);


end Call_Ada;
