/* ---------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
---------------------------------------------------------------------------- */


#include "systems.h"
#include "call_framework.h"



extern void adainit( void );
extern void adafinal( void );



system* sys;
framework_request a_request;
framework_request_table request_list;
framework_response_table response_list;


int main( int argc, char *argv[]) {

 
   adainit();

   /* Allocating a system */
   allocate_system(sys);
   initialize_system(sys);
   
   /* Reading the file */
   read_from_xml_file(sys, "call_framework.xml");


   /*  Call the framework  */
   initialize_request(&a_request);
   a_request.statement=scheduling_feasibility_basics;
   add_request(&request_list, a_request);
   sequential_framework_request (
      sys, request_list, &response_list);


   /* Display the result */
   put_framework_response_table(response_list);
 

   adafinal();
 

  return 0;
}

