------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Resources;
use Resources;

with Resource_Set;
use Resource_Set;
use Resource_Set.Generic_Resource_Set;

with Systems;
use Systems;

procedure Share_Resource is 
   L_Task      : Task_List;  
   A_Resource  : Resource_Ptr;  
   My_Iterator : Iterator;  
   Sys         : System;  
begin

   Reset_Iterator(My_Iterator);

   L_Task.Entries(1).Item:= To_Unbounded_String("T1");
   L_Task.Entries(2).Item:= To_Unbounded_String("T2");
   L_Task.Entries(1).Data.Task_Begin:=1;
   L_Task.Entries(1).Data.Task_End:=3;
   L_Task.Entries(2).Data.Task_Begin:=2;
   L_Task.Entries(2).Data.Task_End:=5;

   Add_Resource(Sys.Resources, To_Unbounded_String("R1"), 0,
      To_Unbounded_String("P1"), To_Unbounded_String("PIP"), L_Task);
   Current_Element(Sys.Resources, A_Resource, My_Iterator);
   Put(A_Resource);

   Update_Resource(Sys.Resources, To_Unbounded_String("R1"), 5,
      To_Unbounded_String("P1"), To_Unbounded_String("PCP"), L_Task);
   Current_Element(Sys.Resources, A_Resource, My_Iterator);
   Put(A_Resource);

end Share_Resource;

