------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Box;
use Gtk.Box;
with Gtk.Button;
use Gtk.Button;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Box;
use Gtk.Box;
with Gtk.Widget;
use Gtk.Widget;
with Gtk.Clist;
use Gtk.Clist;
with Gtk.Frame;
use Gtk.Frame;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Buffers;
use Buffers;
with Gtkada.Types;
use Gtkada.Types;
with Processor_Set;
use Processor_Set;

use Processor_Set.Generic_Processor_Set;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;



package Buffers_Parameters_Pkg is


   type Buffers_Parameters_Record is new Gtk_Window_Record with private; 

   type Buffers_Parameters_Access is access all Buffers_Parameters_Record'Class; 

   procedure Gtk_New (
         Buffers_Parameters :    out Buffers_Parameters_Access; 
         From               : in     Unbounded_String           ); 
   procedure Initialize (
         Buffers_Parameters : access Buffers_Parameters_Record'Class ); 

   Buffers_Parameters : Buffers_Parameters_Access;  


private

   type Buffers_Parameters_Record is new Gtk_Window_Record with 
      record 
         Parent   : Unbounded_String;  
         Name     : Gtk.Gentry.Gtk_Entry;  
         Location : Gtk_Option_Menu;  

         Size : Gtk.Gentry.Gtk_Entry;  

         Affected_Role_List        : Gtk.Clist.Gtk_Clist;  
         Scroll_Affected_Role_List : Gtk_Scrolled_Window;  
         Clist_Location_Menu       : Widget_Slist.Gslist;  

         Vbox_Main                : Gtk.Box.Gtk_Box;  
         Hbox_Add_Cancel          : Gtk.Box.Gtk_Box;  
         Hbox_Add_Affect          : Gtk.Box.Gtk_Box;  
         Hbox_Table_Name_Location : Gtk.Box.Gtk_Box;  

         Table_Name_Location : Gtk.Table.Gtk_Table;  
         Table_Add_Affect    : Gtk.Table.Gtk_Table;  

         Button_Add    : Gtk.Button.Gtk_Button;  
         Button_Cancel : Gtk.Button.Gtk_Button;  
         Button_Affect : Gtk.Button.Gtk_Button;  

         Affect_Size     : Gtk.Gentry.Gtk_Entry;  
         Affect_Task     : Gtk_Option_Menu;  
         Affect_Roletype : Gtk_Option_Menu;  
         Clist_Role_Menu : Widget_Slist.Gslist;  
         Clist_Task_Menu : Widget_Slist.Gslist;  

         Name_Label     : Gtk.Label.Gtk_Label;  
         Location_Label : Gtk.Label.Gtk_Label;  
         Task_Label     : Gtk.Label.Gtk_Label;  
         Rolesize_Label : Gtk.Label.Gtk_Label;  
         Roletype_Label : Gtk.Label.Gtk_Label;  
         Size_Label     : Gtk.Label.Gtk_Label;  

         Frame_Name_Location : Gtk.Frame.Gtk_Frame;  
         Frame_Affect        : Gtk.Frame.Gtk_Frame;  
         Affect_List_Titles  : Chars_Ptr_Array (1 .. 3);  

         Role_Number : Natural := 0;  
      end record; 

   My_Roles : Buffer_Roles_Table;  

end Buffers_Parameters_Pkg;
