------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a real time simulator mainly designed for educational purpose.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the LIMI Team/EA 2215, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;
with Message_Set;
use Message_Set;
use  Message_Set.Generic_Message_Set;
with Graph_Item_Pkg;
use Graph_Item_Pkg;
with Graph_Window_Pkg;
use Graph_Window_Pkg;
with My_Canvas;
use My_Canvas;
with Messages_Parameters_Pkg;
use Messages_Parameters_Pkg;
with Buffers_Parameters_Pkg;
use Buffers_Parameters_Pkg;
with Update_Tasks_Set_Pkg;
use Update_Tasks_Set_Pkg;
with Gtk.Gentry;
use Gtk.Gentry;
with Translate;
use Translate;
with Config;
use Config;
with Project;
use Project;


package body Graph_Add_Pkg.Callbacks is




   procedure On_Ok_Pressed (
         Object : access Gtk_Button_Record'Class ) is 
      Name : Unbounded_String;  
      Item : Item_Object_Access;  
   begin

      Is_Saved:=False;

      Name := To_Unbounded_String(Gtk.Gentry.Get_Text(Get_Entry(
               Add_New_Item.Combo)));
      if (Add_New_Item.Item_Type="message") then
         if(Name=To_String(Lb_New(Current_Language))) then
            Gtk_New(Messages_Parameters, To_Unbounded_String(
                  "graph_window"));
         else
            Item := Item_Object_Access(Search_Item_By_Name(Graph_Window.
                  Buffer,To_Unbounded_String("message"),Name));
            Set_Visibility(Item,True);
            My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
         end if;
      end if;

      if (Add_New_Item.Item_Type="buffer") then
         if(Name=To_String(Lb_New(Current_Language))) then
            Gtk_New(Buffers_Parameters, To_Unbounded_String(
                  "graph_window"));
            Show_All(Buffers_Parameters);
         else
            Item := Item_Object_Access(Search_Item_By_Name(Graph_Window.
                  Buffer,To_Unbounded_String("buffer"),Name));
            Set_Visibility(Item,True);
            My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
         end if;
      end if;

      if (Add_New_Item.Item_Type="task") then
         if(Name=To_String(Lb_New(Current_Language))) then
            Gtk_New(Update_Tasks_Set);
            Show_Advanced (Update_Tasks_Set,False);
         else
            Item := Item_Object_Access(Search_Item_By_Name(Graph_Window.
                  Buffer,To_Unbounded_String("task"),Name));
            Set_Visibility(Item,True);
            My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
         end if;
      end if;

      Hide(Add_New_Item);

   end On_Ok_Pressed;

   procedure On_Cancel_Pressed (
         Object : access Gtk_Button_Record'Class ) is 
   begin

      My_Canvas.Remove(Graph_Window.Buffer,Items_List(Last_Item-1));
      Hide(Add_New_Item);
   end On_Cancel_Pressed;

end Graph_Add_Pkg.Callbacks;
