------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Separator;
use Gtk.Separator;
with Gtk.Button;
use Gtk.Button;
with Gtk.Box;
use Gtk.Box;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;



package Messages_Parameters_Pkg is

   type Messages_Parameters_Record is new Gtk_Window_Record with private; 

   type Messages_Parameters_Access is access all Messages_Parameters_Record'Class; 

   procedure Gtk_New (
         Messages_Parameters :    out Messages_Parameters_Access; 
         From                : in     Unbounded_String            ); 
   procedure Initialize (
         Messages_Parameters : access Messages_Parameters_Record'Class ); 

   Messages_Parameters : Messages_Parameters_Access;  

private
   type Messages_Parameters_Record is new Gtk_Window_Record with 
      record 
         Box          : Gtk_Table;  
         Name         : Gtk_Label;  
         Message_Type : Gtk_Label;  
         Jitter       : Gtk_Label;  
         Deadline     : Gtk_Label;  
         Period       : Gtk_Label;  
         Size         : Gtk_Label;  

         Entry_Name     : Gtk_Entry;  
         Entry_Jitter   : Gtk_Entry;  
         Entry_Deadline : Gtk_Entry;  
         Entry_Period   : Gtk_Entry;  
         Entry_Size     : Gtk_Entry;  
         Hseparator     : Gtk_Hseparator;  
         Vseparator     : Gtk_Vseparator;  
         Hbox           : Gtk_Hbox;  
         Ok_Button      : Gtk_Button;  
         Cancel_Button  : Gtk_Button;  
         Parent         : Unbounded_String;  
      end record; 
end Messages_Parameters_Pkg;
