------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Callbacks_Cheddar;
use Callbacks_Cheddar;

with Message_Pkg;
use Message_Pkg;

with Gtk.Menu;
use Gtk.Menu;
with Gtk.Radio_Menu_Item;
use Gtk.Radio_Menu_Item;







package body Mmi_Tools  is




   function Is_A_Valid_Identifier (
         Id : Unbounded_String ) 
     return Boolean is 

      Char : Character;  

   begin

      for I in 1..Length(Id) loop

         Char := Element(Id,I);
         if    Char/='a' and
               Char/='b' and
               Char/='c' and
               Char/='d' and
               Char/='e' and
               Char/='f' and
               Char/='g' and
               Char/='h' and
               Char/='i' and
               Char/='j' and
               Char/='h' and
               Char/='k' and
               Char/='l' and
               Char/='m' and
               Char/='n' and
               Char/='o' and
               Char/='p' and
               Char/='q' and
               Char/='r' and
               Char/='s' and
               Char/='t' and
               Char/='u' and
               Char/='v' and
               Char/='w' and
               Char/='x' and
               Char/='y' and
               Char/='z' and
               Char/='A' and
               Char/='B' and
               Char/='C' and
               Char/='D' and
               Char/='E' and
               Char/='F' and
               Char/='G' and
               Char/='H' and
               Char/='I' and
               Char/='J' and
               Char/='K' and
               Char/='L' and
               Char/='M' and
               Char/='N' and
               Char/='O' and
               Char/='P' and
               Char/='Q' and
               Char/='R' and
               Char/='S' and
               Char/='T' and
               Char/='U' and
               Char/='V' and
               Char/='W' and
               Char/='X' and
               Char/='Y' and
               Char/='Z' and
               Char/='0' and
               Char/='1' and
               Char/='2' and
               Char/='3' and
               Char/='4' and
               Char/='5' and
               Char/='6' and
               Char/='7' and
               Char/='8' and
               Char/='9' and
               Char/='_'
               then
            return False;
         end if;
      end loop;

      return True;

   end  Is_A_Valid_Identifier;



   procedure Show_Message_Box (
         Msg : Unbounded_String ) is 
   begin
      Gtk_New (Message,
         Unbounded_Lf & Msg &  Unbounded_Lf);
      Show_All(Message);
   end Show_Message_Box;



   procedure Build_Option_Menu (
         Omenu   :    out Gtk.Option_Menu.Gtk_Option_Menu;                   
         Gr      :    out Widget_Slist.Gslist;                               
         Items   :        Strings_Table;                                     
         History :        Gint;                                              
         Cb      :        Widget_Handler.Marshallers.Void_Marshaller.Handler ) is 
      Menu      : Gtk_Menu;  
      Menu_Item : Gtk_Radio_Menu_Item;  

   begin
      Gtk.Option_Menu.Gtk_New (Omenu);
      Gtk_New (Menu);

      for I in 0..Items.Nb_Entries-1 loop
         if (Items.Entries(I)/=Empty_String)
               then
            Gtk_New (Menu_Item, Gr, To_String(Items.Entries(I)) );
            Widget_Handler.Object_Connect (Menu_Item, "activate",
               Widget_Handler.To_Marshaller (Cb),
               Slot_Object => Menu_Item);
            Gr := Group (Menu_Item);
            Append (Menu, Menu_Item);
            if Gint (I) = History then
               Set_Active (Menu_Item, True);
            end if;
            Show (Menu_Item);
         end if;
      end loop;
      Gtk.Option_Menu.Set_Menu (Omenu, Menu);
      Gtk.Option_Menu.Set_History (Omenu, History);
   end Build_Option_Menu;




end Mmi_Tools;


