------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Table;
use Gtk.Table;
with Gtk.Label;
use Gtk.Label;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Separator;
use Gtk.Separator;
with Gtk.Button;
use Gtk.Button;
with Gtk.Check_Button;
use Gtk.Check_Button;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Window;
use Gtk.Window;
with Gtk.Box;
use Gtk.Box;
with Gtk.Widget;
use Gtk.Widget;

with Systems;
use Systems;

with Unbounded_Strings;
use Unbounded_Strings;



package Processors_Parameters_Pkg is

   type Processors_Parameters_Record is new Gtk_Window_Record with private; 
   type Processors_Parameters_Access is access all Processors_Parameters_Record'Class; 

   procedure Gtk_New (
         Processors_Parameters :    out Processors_Parameters_Access ); 
   procedure Initialize (
         Processors_Parameters : access Processors_Parameters_Record'Class ); 

   Processors_Parameters : Processors_Parameters_Access;  

private

   type Processors_Parameters_Record is new Gtk_Window_Record with 
      record 
         Vbox                    : Gtk_Table;  
         Name                    : Gtk_Label;  
         Scheduler               : Gtk_Label;  
         Option                  : Gtk_Label;  
         Quantum                 : Gtk_Label;  
         Priority_Evaluation     : Gtk_Label;  
         Objective_Function      : Gtk_Label;  
         Entry_Name              : Gtk_Entry;  
         Entry_Option            : Gtk_Check_Button;  
         Entry_Quantum           : Gtk_Entry;  
         Behavior                : Gtk_Label;  
         Edit_Behavior           : Gtk_Button;  
         Read_From_File_Behavior : Gtk_Button;  
         String_Behavior         : Unbounded_String_Ptr;  
         Behavior_File_Name      : Unbounded_String_Ptr;  

         Hseparator5   : Gtk_Hseparator;  
         Hseparator6   : Gtk_Hseparator;  
         Hbox          : Gtk_Hbox;  
         Ok_Button     : Gtk_Button;  
         Cancel_Button : Gtk_Button;  
         Add_Button    : Gtk_Button;  
         Vseparator1   : Gtk_Vseparator;  

         Scheduler_Menu       : Gtk_Option_Menu;  
         Clist_Scheduler_Menu : Widget_Slist.Gslist;  

         Sys : System;  
      end record; 

end Processors_Parameters_Pkg;
