------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------




with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Systems;
use Systems;


package Project is



   Sys : System;  

   Current_Directory : Unbounded_String;  
   File_Name         : Unbounded_String;  

   Is_Saved : Boolean;  

   Is_New : Boolean;  

   Schedule_With_Offsets      : Boolean;  
   Schedule_With_Resources    : Boolean;  
   Schedule_With_Precedencies : Boolean;  

   Task_Specific_Seed : Boolean := True; 
   -- Task specific or common seed 
   Common_Seed_Value  : Integer := 0;  

   procedure Do_New; 
   procedure Do_Open; 
   procedure Do_Save; 
   procedure Do_Save_As; 
   procedure Do_Exit; 


end Project;


