------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.File_Selection;
use Gtk.File_Selection;
with Gtk.Button;
use Gtk.Button;

with Unbounded_Strings;
use Unbounded_Strings;




package Read_Scheduler_From_File_Pkg is

   type Read_Scheduler_From_File_Record is new Gtk_File_Selection_Record with private; 
   type Read_Scheduler_From_File_Access is access all Read_Scheduler_From_File_Record'Class; 

   procedure Gtk_New (
         Read_Scheduler_From_File :    out Read_Scheduler_From_File_Access; 
         Read_Behavior            : in     Unbounded_String_Ptr;            
         Read_File_Name           : in     Unbounded_String_Ptr             ); 
   procedure Initialize (
         Read_Scheduler_From_File : access Read_Scheduler_From_File_Record'Class; 
         Read_Behavior            : in     Unbounded_String_Ptr;                  
         Read_File_Name           : in     Unbounded_String_Ptr                   ); 


   Read_Scheduler_From_File : Read_Scheduler_From_File_Access;  


private

   type Read_Scheduler_From_File_Record is new Gtk_File_Selection_Record with 
      record 
         Ok_Button      : Gtk_Button;  
         Cancel_Button  : Gtk_Button;  
         Read_Behavior  : Unbounded_String_Ptr;  
         Read_File_Name : Unbounded_String_Ptr;  
      end record; 

end Read_Scheduler_From_File_Pkg;
