------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Clist;
use Gtk.Clist;
with Gtk.Combo;
use Gtk.Combo;
with Gtk.Enums;
use Gtk.Enums;
with Gtk.Button;
use Gtk.Button;
with Gtk.Label;
use Gtk.Label;
with Gtk.Table;
use Gtk.Table;
with Gtkada.Types;
use Gtkada.Types;
with Gtk.Frame;
use Gtk.Frame;
with Gtk.Box;
use Gtk.Box;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Widget;
use Gtk.Widget;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;

with Resources;
use Resources;

package Resources_Parameters_Pkg is

   type Resource_Parameter_Record is new Gtk_Window_Record with private; 
   type Resource_Parameter_Access is access all Resource_Parameter_Record'Class; 

   procedure Gtk_New (
         Resource_Parameter :    out Resource_Parameter_Access ); 

   procedure Initialize (
         Resource_Parameter : access Resource_Parameter_Record'Class ); 

   Resource_Parameter : Resource_Parameter_Access;  

private
   type Resource_Parameter_Record is new Gtk_Window_Record with 
      record 
         Name                      : Gtk.Gentry.Gtk_Entry;  
         State                     : Gtk.Gentry.Gtk_Entry;  
         Protocol                  : Gtk.Combo.Gtk_Combo;  
         Cpu                       : Gtk_Option_Menu;  
         Affected_Task_List        : Gtk.Clist.Gtk_Clist;  
         Scroll_Affected_Task_List : Gtk_Scrolled_Window;  

         Protocol_Items       : String_List.Glist;  
         Clist_Processor_Menu : Widget_Slist.Gslist;  

         Vbox_Main             : Gtk.Box.Gtk_Box;  
         Hbox_Add_Cancel       : Gtk.Box.Gtk_Box;  
         Hbox_Add_Affect       : Gtk.Box.Gtk_Box;  
         Hbox_Table_Name_State : Gtk.Box.Gtk_Box;  

         Table_Name_State : Gtk.Table.Gtk_Table;  
         Table_Add_Affect : Gtk.Table.Gtk_Table;  

         Button_Add    : Gtk.Button.Gtk_Button;  
         Button_Cancel : Gtk.Button.Gtk_Button;  
         Button_Affect : Gtk.Button.Gtk_Button;  

         Resource_Affect_Task  : Gtk_Combo;  
         Items                 : String_List.Glist;  
         Resource_Affect_Begin : Gtk.Gentry.Gtk_Entry;  
         Resource_Affect_End   : Gtk.Gentry.Gtk_Entry;  

         Resource_Name_Label  : Gtk.Label.Gtk_Label;  
         Resource_State_Label : Gtk.Label.Gtk_Label;  
         Resource_Task_Label  : Gtk.Label.Gtk_Label;  
         Resource_Begin_Label : Gtk.Label.Gtk_Label;  
         Resource_End_Label   : Gtk.Label.Gtk_Label;  
         Resource_Combo_Label : Gtk.Label.Gtk_Label;  
         Resource_Cpu_Label   : Gtk.Label.Gtk_Label;  
         Frame_Name_State     : Gtk.Frame.Gtk_Frame;  
         Frame_Affect         : Gtk.Frame.Gtk_Frame;  
         Affect_List_Titles   : Chars_Ptr_Array (1 .. 3);  

         Task_List_Share : Resources.Task_List;  
      end record; 

end Resources_Parameters_Pkg ;
