------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Button;
use Gtk.Button;
with Gtk.Label;
use Gtk.Label;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Gtk.Box;
use Gtk.Box;
with Gtk.Combo;
use Gtk.Combo;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;
with Gtk.Window;
use Gtk.Window;
with Gtk.Clist;
use Gtk.Clist;
with Gtkada.Types;
use Gtkada.Types;
with Gtk.Table;
use Gtk.Table;
with Gtk.Enums;
use Gtk.Enums;
with Gtk;
use Gtk;
with Gtk.Widget;
use Gtk.Widget;
with Gtk.Frame;
use Gtk.Frame;

with Buffers;
use Buffers;
with Buffer_Set;
use Buffer_Set;
use Buffer_Set.Generic_Buffer_Set;
use Buffers.Buffer_Roles;

package Update_Buffers_Set_Pkg is

   type Update_Buffers_Set_Record is new Gtk_Window_Record with private; 
   type Update_Buffers_Set_Access is access all Update_Buffers_Set_Record'Class; 

   procedure Gtk_New (
         Update_Buffers_Set :    out Update_Buffers_Set_Access ); 

   procedure Initialize (
         Update_Buffers_Set : access Update_Buffers_Set_Record'Class ); 

   Update_Buffers_Set : Update_Buffers_Set_Access;  

private
   type Update_Buffers_Set_Record is new Gtk_Window_Record with 
      record 

         -- The Buffer combo
         Buffer       : Gtk_Combo;  
         Buffer_Items : String_List.Glist;  

         -- Buffer spec
         Name        : Gtk.Gentry.Gtk_Entry;  
         Buffer_Size : Gtk.Gentry.Gtk_Entry;  

         Buffer_Location : Gtk_Option_Menu;  
         Processor_Menu  : Widget_Slist.Gslist;  
         -- End Buffer spec
         Affected_Role_List        : Gtk.Clist.Gtk_Clist;  
         Scroll_Affected_Role_List : Gtk_Scrolled_Window;  

         -- Role spec
         Role_Task_Name : Gtk_Option_Menu;  
         Role_Name_Menu : Widget_Slist.Gslist;  
         Role_Size      : Gtk.Gentry.Gtk_Entry;  
         Role_Type      : Gtk_Option_Menu;  
         Role_Type_Menu : Widget_Slist.Gslist;  

         Role_Task_Name_Label : Gtk.Label.Gtk_Label;  
         Role_Size_Label      : Gtk.Label.Gtk_Label;  
         Role_Type_Label      : Gtk.Label.Gtk_Label;  
         -- End Role spec
         Frame_Role   : Gtk.Frame.Gtk_Frame;  
         Frame_Buffer : Gtk.Frame.Gtk_Frame;  

         Table_Role   : Gtk.Table.Gtk_Table;  
         Table_Buffer : Gtk.Table.Gtk_Table;  

         Vbox_Main         : Gtk.Box.Gtk_Box;  
         Hbox_Confirm      : Gtk.Box.Gtk_Box;  
         Hbox_Menu         : Gtk.Box.Gtk_Box;  
         Hbox_List         : Gtk.Box.Gtk_Box;  
         Vbox_Menu         : Gtk.Box.Gtk_Box;  
         Vbox_Frame_Buffer : Gtk.Box.Gtk_Box;  
         Vbox_Frame_Role   : Gtk.Box.Gtk_Box;  

         Buffer_Location_Label : Gtk.Label.Gtk_Label;  
         Buffer_Size_Label     : Gtk.Label.Gtk_Label;  
         Buffer_Combo_Label    : Gtk.Label.Gtk_Label;  
         Buffer_Label          : Gtk.Label.Gtk_Label;  

         Button_Add           : Gtk.Button.Gtk_Button;  
         Button_Cancel        : Gtk.Button.Gtk_Button;  
         Button_Add_Role      : Gtk.Button.Gtk_Button;  
         Button_Remove_Role   : Gtk.Button.Gtk_Button;  
         Button_Modify        : Gtk.Button.Gtk_Button;  
         Button_Buffer_Modify : Gtk.Button.Gtk_Button;  

         Last_Buffer_Selected : Unbounded_String;  

         Affect_List_Titles  : Chars_Ptr_Array (1 .. 3);  
         Undo_Buffer         : Buffers_Set;  
         Current_Role_Index  : Buffer_Roles_Range       := Buffer_Roles_Range
           (0);  
         My_Roles            : Buffer_Roles_Table;  
         One_Row_Is_Selected : Boolean                  := False;  
      end record; 

end Update_Buffers_Set_Pkg;
