------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Clist;
use Gtk.Clist;
with Gtk.Button;
use Gtk.Button;
with Gtk.Label;
use Gtk.Label;
with Gtk.Table;
use Gtk.Table;
with Gtkada.Types;
use Gtkada.Types;
with Gtk.Frame;
use Gtk.Frame;
with Gtk.Box;
use Gtk.Box;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;
with Message_Set;
use Message_Set;

package Update_Messages_Set_Pkg is

   type Update_Messages_Set_Record is new Gtk_Window_Record with private; 
   type Update_Messages_Set_Access is access all Update_Messages_Set_Record'Class; 

   procedure Gtk_New (
         Update_Messages_Set :    out Update_Messages_Set_Access ); 

   procedure Initialize (
         Update_Messages_Set : access Update_Messages_Set_Record'Class ); 

   Update_Messages_Set : Update_Messages_Set_Access;  

private
   type Update_Messages_Set_Record is new Gtk_Window_Record with 
      record 
         Scroll_Messages_List : Gtk_Scrolled_Window;  
         Messages_List        : Gtk.Clist.Gtk_Clist;  
         Message_Name         : Gtk.Gentry.Gtk_Entry;  
         Message_Jitter       : Gtk.Gentry.Gtk_Entry;  
         Message_Deadline     : Gtk.Gentry.Gtk_Entry;  
         Message_Period       : Gtk.Gentry.Gtk_Entry;  
         Message_Size         : Gtk.Gentry.Gtk_Entry;  

         Message_Name_Label     : Gtk.Label.Gtk_Label;  
         Message_Jitter_Label   : Gtk.Label.Gtk_Label;  
         Message_Deadline_Label : Gtk.Label.Gtk_Label;  
         Message_Period_Label   : Gtk.Label.Gtk_Label;  
         Message_Size_Label     : Gtk.Label.Gtk_Label;  
         Current_Message        : Unbounded_String;  

         Frame_Message : Gtk.Frame.Gtk_Frame;  

         Message_Table : Gtk.Table.Gtk_Table;  

         Vbox_Main    : Gtk.Box.Gtk_Box;  
         Hbox_Confirm : Gtk.Box.Gtk_Box;  
         Hbox_Message : Gtk.Box.Gtk_Box;  
         Vbox_Choice  : Gtk.Box.Gtk_Box;  
         Hbox_Up      : Gtk.Box.Gtk_Box;  
         Hbox_Down    : Gtk.Box.Gtk_Box;  
         Hbox_Modif   : Gtk.Box.Gtk_Box;  

         Button_Add            : Gtk.Button.Gtk_Button;  
         Button_Cancel         : Gtk.Button.Gtk_Button;  
         Button_Remove_Message : Gtk.Button.Gtk_Button;  
         Button_Modify         : Gtk.Button.Gtk_Button;  

         Undo_Message : Messages_Set;  

         Scroll_List : Gtk_Scrolled_Window;  
         List_Titles : Chars_Ptr_Array (1 .. 5);  
      end record; 

end Update_Messages_Set_Pkg;
