------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Editable;
use Gtk.Editable;
with Gtk.Button;
use Gtk.Button;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

package Update_Resources_Set_Pkg.Callbacks is

   procedure On_Cancel_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Ok_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Cpu_Change (
         Object : access Gtk_Editable_Record'Class ); 
   procedure On_Change_Resource (
         Widget : access Gtk_Editable_Record'Class ); 
   procedure On_Click_List (
         List : access Gtk_Clist_Record'Class ); 
   procedure On_Modify_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Add_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Delete_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Check_Pressed (
         Object : access Gtk_Button_Record'Class ); 
   procedure On_Cpu_Change_Show; 

   procedure Resource_Modify; 
   procedure Show_Tasks (
         A_Resource_Name : Unbounded_String ); 

end Update_Resources_Set_Pkg.Callbacks;
