------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------



with Gtk.Window;
use Gtk.Window;
with Gtk.Gentry;
use Gtk.Gentry;
with Gtk.Clist;
use Gtk.Clist;
with Gtk.Combo;
use Gtk.Combo;
with Gtk.Enums;
use Gtk.Enums;
with Gtk.Button;
use Gtk.Button;
with Gtk.Label;
use Gtk.Label;
with Gtk.Table;
use Gtk.Table;
with Gtkada.Types;
use Gtkada.Types;
with Gtk.Frame;
use Gtk.Frame;
with Gtk.Box;
use Gtk.Box;
with Gtk.Option_Menu;
use Gtk.Option_Menu;
with Gtk.Widget;
use Gtk.Widget;
with Gtk.Scrolled_Window;
use Gtk.Scrolled_Window;
with Gtk.Check_Button;
use Gtk.Check_Button;

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Gtk.Radio_Button;
use Gtk.Radio_Button;

with Resource_Set;
use Resource_Set;

package Update_Resources_Set_Pkg is

   type Update_Resources_Set_Record is new Gtk_Window_Record with private; 
   type Update_Resources_Set_Access is access all Update_Resources_Set_Record'Class; 

   procedure Gtk_New (
         Update_Resources_Set :    out Update_Resources_Set_Access ); 

   procedure Initialize (
         Update_Resources_Set : access Update_Resources_Set_Record'Class ); 

   Update_Resources_Set : Update_Resources_Set_Access;  

private
   type Update_Resources_Set_Record is new Gtk_Window_Record with 
      record 
         State                     : Gtk.Gentry.Gtk_Entry;  
         Protocol                  : Gtk_Option_Menu;  
         Cpu                       : Gtk.Combo.Gtk_Combo;  
         Check_Change_Cpu          : Gtk_Check_Button;  
         Change_Cpu                : Gtk.Gentry.Gtk_Gentry;  
         Resource                  : Gtk.Combo.Gtk_Combo;  
         Change_Cpu_List           : Gtk.Combo.Gtk_Combo;  
         Affected_Task_List        : Gtk.Clist.Gtk_Clist;  
         Scroll_Affected_Task_List : Gtk_Scrolled_Window;  

         Task_Name  : Gtk.Gentry.Gtk_Entry;  
         Task_Begin : Gtk.Gentry.Gtk_Entry;  
         Task_End   : Gtk.Gentry.Gtk_Entry;  

         Task_Name_Label  : Gtk.Label.Gtk_Label;  
         Task_Begin_Label : Gtk.Label.Gtk_Label;  
         Task_End_Label   : Gtk.Label.Gtk_Label;  

         Frame_Task     : Gtk.Frame.Gtk_Frame;  
         Frame_Cpu      : Gtk.Frame.Gtk_Frame;  
         Frame_Resource : Gtk.Frame.Gtk_Frame;  

         Table_Task     : Gtk.Table.Gtk_Table;  
         Table_Protocol : Gtk.Table.Gtk_Table;  

         Vbox_Main           : Gtk.Box.Gtk_Box;  
         Hbox_Confirm        : Gtk.Box.Gtk_Box;  
         Hbox_Cpu            : Gtk.Box.Gtk_Box;  
         Hbox_Menu           : Gtk.Box.Gtk_Box;  
         Hbox_List           : Gtk.Box.Gtk_Box;  
         Vbox_Menu           : Gtk.Box.Gtk_Box;  
         Vbox_Frame_Resource : Gtk.Box.Gtk_Box;  
         Vbox_Frame_Task     : Gtk.Box.Gtk_Box;  
         Vbox_Frame_Cpu      : Gtk.Box.Gtk_Box;  

         Resource_State_Label : Gtk.Label.Gtk_Label;  
         Resource_Combo_Label : Gtk.Label.Gtk_Label;  
         Resource_Label       : Gtk.Label.Gtk_Label;  
         Processor_Label      : Gtk.Label.Gtk_Label;  

         Button_Add         : Gtk.Button.Gtk_Button;  
         Button_Cancel      : Gtk.Button.Gtk_Button;  
         Button_Add_Task    : Gtk.Button.Gtk_Button;  
         Button_Remove_Task : Gtk.Button.Gtk_Button;  
         Button_Modify      : Gtk.Button.Gtk_Button;  

         Button_No_Protocol : Gtk_Radio_Button;  
         Button_Pcp         : Gtk_Radio_Button;  
         Button_Pip         : Gtk_Radio_Button;  

         Protocol_Items  : Widget_Slist.Gslist;  
         Processor_Menu  : String_List.Glist;  
         Resource_Menu   : String_List.Glist;  
         Change_Cpu_Menu : String_List.Glist;  

         -- 
         --
         Last_Resource_Selected : Unbounded_String;  
         Last_Cpu_Selected      : Unbounded_String;  
         Affect_List_Titles     : Chars_Ptr_Array (1 .. 3);  
         Undo_Resource          : Resources_Set;  
      end record; 

end Update_Resources_Set_Pkg;
