------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
--
-- You will find here some procedures and function to manipulate
-- float variables
------------------------------------------------------------------------------
------------------------------------------------------------------------------

with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

package Float_Util is


   -- Initialize a float
   --
   procedure Initialize (
         F :    out Float ); 


   -- Display a float
   --
   procedure Put (
         F : in     Float ); 
   procedure Put_Line (
         F : in     Float ); 


   -- New equal function for numeric stability
   --
   function Equal (
         Num1,                              
         Num2     : in     Float;           
         Accuracy : in     Integer := 10000 ) 
     return Boolean; 


   -- Convert a double into a string
   --
   function Format (
         F     : in     Float;       
         After : in     Integer := 5 ) 
     return Unbounded_String; 


end Float_Util;


