------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool. 
-- This program provides services to automaticly check temporal constraints 
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Package description :
-- 
-- This package contains the text of the small help provided thru the 
-- graphical editor
------------------------------------------------------------------------------
------------------------------------------------------------------------------





with Ada.Strings.Unbounded;
use Ada.Strings.Unbounded;

with Unbounded_Strings;
use  Unbounded_Strings;


package Manual is

   Ustr_File_Menu : Unbounded_String := To_Unbounded_String ("File Menu")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_File_Menu_Content : Unbounded_String := To_Unbounded_String ("->New : create a new scheduling project")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Open : open a scheduling project")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Save : save a scheduling project")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Save as : save a scheduling project with a new name")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Exit : exit from Cheddar")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_Edit_Menu : Unbounded_String := To_Unbounded_String ("Edit Menu")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_Edit_Menu_Content : Unbounded_String := To_Unbounded_String ("->New task : create a new task with the following parameters :")
     & Unbounded_Lf & To_Unbounded_String ("* Task name") & Unbounded_Lf
     & To_Unbounded_String ("* Processor name : it must be created before the task ")
     & Unbounded_Lf & To_Unbounded_String ("* Capacity : the duration of the task")
     & Unbounded_Lf & To_Unbounded_String ("* Jitter : the difference between the arrival of the task in the system and its start")
     & Unbounded_Lf & To_Unbounded_String ("* Deadline") & Unbounded_Lf
     & To_Unbounded_String ("* Period") & Unbounded_Lf & To_Unbounded_String
     ("* Start time : all tasks arrive in the system at start time 0 by default ")
     & Unbounded_Lf & To_Unbounded_String ("* Priority") & Unbounded_Lf
     & To_Unbounded_String ("* Offset : put an offset for a specified activation and a specified duration")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->New processor : create a new processor with the following parameters :")
     & Unbounded_Lf & To_Unbounded_String ("* Processor name : the name of the processor")
     & Unbounded_Lf & To_Unbounded_String ("* Scheduler : you can choose between EDF, LLF, RM, DM or HPF scheduler for one processor  ")
     & Unbounded_Lf & To_Unbounded_String ("You can also check if you want higher priority tasks could interrupt lower priority task (preemptive) or not (non-preemptive)")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Delete tasks : delete a task from the project")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Delete processors : delete a processor from the project")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Update tasks list : change task's parameters")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Update processors list : change processor's parameters")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_View_Menu : Unbounded_String := To_Unbounded_String ("View Menu")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_View_Menu_Content : Unbounded_String := To_Unbounded_String ("->Tasks list : view task's parameters")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Processors list : view processor's parameters")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_Tools_Menu : Unbounded_String := To_Unbounded_String ("Tools Menu")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_Tools_Menu_Content : Unbounded_String := To_Unbounded_String ("->Clear Workspace : clear the scheduling window and the results window")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Redraw scheduling graph : redraw the sheduling")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Check scheduling : make the following checking :")
     & Unbounded_Lf & To_Unbounded_String ("* Calculate the scheduling period")
     & Unbounded_Lf & To_Unbounded_String ("* Calculate the processor utilization with deadline")
     & Unbounded_Lf & To_Unbounded_String ("* Calculate the processor utilization with period")
     & Unbounded_Lf & To_Unbounded_String ("* Calculate the response time and Check that all the process meet their deadline")
     & Unbounded_Lf & To_Unbounded_String ("All the references of the formulae used in cheddar can be found in the 'Help->Bibliography' references menu")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_Help_Menu : Unbounded_String := To_Unbounded_String ("Help Menu")
     & Unbounded_Lf & Unbounded_Lf;  

   Ustr_Help_Menu_Content : Unbounded_String := To_Unbounded_String ("->About cheddar : information on cheddar")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Manual : this manual")
     & Unbounded_Lf & Unbounded_Lf & To_Unbounded_String ("->Bibliography references : references of the formulae used in cheddar")
     & Unbounded_Lf & Unbounded_Lf;  

end Manual;
