------------------------------------------------------------------------------
------------------------------------------------------------------------------
-- Cheddar is a free real time scheduling tool.
-- This program provides services to automaticly check temporal constraints
-- of real time tasks.
--
-- Copyright (C) 2002-2005   Frank Singhoff, Jerome Legrand
-- Cheddar is developped by the EA 2215 Team, University of Brest
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--
--
-- Contact : F. Singhoff (singhoff@univ-brest.fr)
--           J. Legrand (jerome.legrand@univ-brest.fr)
------------------------------------------------------------------------------
------------------------------------------------------------------------------


with Unbounded_Strings;
use  Unbounded_Strings;

with Version;
use Version;




package body Translate is

begin

   ----------------------------------------------------
   -- Labels common on every languages
   ----------------------------------------------------
   Lb_Point:=To_Unbounded_String(". ");
   Lb_Colon:=To_Unbounded_String(" : ");
   Lb_Minus:=To_Unbounded_String("- ");
   Lb_Comma:=To_Unbounded_String(", ");
   Lb_Equal:=To_Unbounded_String("=");

   ----------------------------------------------------
   --   Menu and sub menu titles
   ----------------------------------------------------

   Lb_Root_Title(Francais) := To_Unbounded_String(
      "Camembert : un simulateur d'ordonnancement temps rel");
   Lb_File(Francais) := To_Unbounded_String("Fichier");
   Lb_New(Francais) := To_Unbounded_String("Nouveau");
   Lb_Open(Francais) := To_Unbounded_String("Ouvrir");
   Lb_Save(Francais) := To_Unbounded_String("Sauvegarder");
   Lb_Save_As(Francais) := To_Unbounded_String("Sauvegarder sous");
   Lb_Exit(Francais) := To_Unbounded_String("Quitter");

   Lb_Edit(Francais) := To_Unbounded_String("Edition");
   Lb_View(Francais) := To_Unbounded_String("Afficher");

   Lb_Edit_Scheduler(Francais):=To_Unbounded_String(
      "Editer un ordonnanceur");
   Lb_Tools(Francais) := To_Unbounded_String("Outils");
   Lb_Compute_Buffer(Francais) := To_Unbounded_String(
      "Tests de faisabilit sur les tampons");
   Lb_Draw_Buffer(Francais) := To_Unbounded_String(
      "Outils de simulation pour les tampons");
   Lb_Clear(Francais) := To_Unbounded_String(
      "Nettoyer l'espace de travail");
   Lb_Draw(Francais) := To_Unbounded_String(
      "Simulation de l'ordonnancement");
   Lb_Check(Francais) := To_Unbounded_String("Contrle de la faisabilit");
   Lb_Compute_And_Display(Francais):=To_Unbounded_String(
      "Calculer et afficher");
   Lb_Compute_And_Update(Francais):=To_Unbounded_String(
      "Calculer et mettre  jour les tches");
   Lb_Compute_And_Display_One_Step(Francais):=To_Unbounded_String(
      "Calculer et afficher : un pas ");
   Lb_Compute_And_Update_One_Step(Francais):=To_Unbounded_String(
      "Calculer et mettre  jour les tches : un pas ");


   Lb_Help(Francais) := To_Unbounded_String("Aide");
   Lb_Manual(Francais) := To_Unbounded_String("Manuel");
   Lb_Ref(Francais) := To_Unbounded_String("Rfrences bibliographiques");
   Lb_About(Francais) := To_Unbounded_String("A propos de Camembert");
   Lb_About_Text(Francais) :=
      To_Unbounded_String("Camembert ") & Cheddar_Version &
      Unbounded_Lf &
      Unbounded_Lf  &
      To_Unbounded_String("Camembert est un outil de simulation ")  &
      Unbounded_Lf &
      To_Unbounded_String(
      "d'algorithmes d'ordonnancement temps rel");
   Lb_About_Text(Francais):=Lb_About_Text(English) & Unbounded_Lf &
      Unbounded_Lf &
      To_Unbounded_String(
      "Camembert est maintenu par l'quipe EA 2215, Universit de Brest") &
      Unbounded_Lf
      & Unbounded_Lf &
      To_Unbounded_String(
      "Cf. http:://beru.univ-brest.fr/~singhoff/cheddar pour de plus amples dtails") &
      Unbounded_Lf;




   Lb_Root_Title(English) := To_Unbounded_String(
      "Cheddar : a free real time scheduling simulator");

   Lb_File(English) := To_Unbounded_String("File");
   Lb_New(English) := To_Unbounded_String("New");
   Lb_Open(English) := To_Unbounded_String("Open");
   Lb_Save(English) := To_Unbounded_String("Save");
   Lb_Save_As(English) := To_Unbounded_String("Save as");
   Lb_Exit(English) := To_Unbounded_String("Exit");

   Lb_Edit(English) := To_Unbounded_String("Edit");
   Lb_View(English) := To_Unbounded_String("View");

   Lb_Edit_Scheduler(English):=To_Unbounded_String("Edit a scheduler");
   Lb_Tools(English) := To_Unbounded_String("Tools");
   Lb_Compute_Buffer(English) := To_Unbounded_String(
      "Buffer feasibility tests");
   Lb_Draw_Buffer(English) := To_Unbounded_String(
      "Buffer simulation ");
   Lb_Clear(English) := To_Unbounded_String("Clear work space");
   Lb_Draw(English) := To_Unbounded_String("Scheduling simulation");
   Lb_Check(English) := To_Unbounded_String(
      "Scheduling feasibility");
   Lb_Compute_And_Display(English):=To_Unbounded_String(
      "Compute and Display");
   Lb_Compute_And_Update(English):=To_Unbounded_String(
      "Compute and Update tasks");
   Lb_Compute_And_Display_One_Step(English):=To_Unbounded_String(
      "Compute and Display : one step ");
   Lb_Compute_And_Update_One_Step(English):=To_Unbounded_String(
      "Compute and Update tasks : one step ");

   Lb_Help(English) := To_Unbounded_String("Help");
   Lb_Manual(English) := To_Unbounded_String("Manual");
   Lb_Ref(English) := To_Unbounded_String("Scheduling references");
   Lb_About(English) := To_Unbounded_String("About Cheddar");
   Lb_About_Text(English) :=
      To_Unbounded_String("Cheddar ") & Cheddar_Version & Unbounded_Lf &
      Unbounded_Lf  &
      To_Unbounded_String("Cheddar is a free real time scheduling tool");
   Lb_About_Text(English):=Lb_About_Text(English) & Unbounded_Lf &
      Unbounded_Lf &
      To_Unbounded_String(
      "Cheddar is maintened by the EA 2215 Team, University of Brest") &
      Unbounded_Lf
      & Unbounded_Lf &
      To_Unbounded_String(
      "See : http:://beru.univ-brest.fr/~singhoff/cheddar for more details") &
      Unbounded_Lf;


   ----------------------------------------------------
   --   Add, delete, display, list and update
   ----------------------------------------------------


   Lb_Update(Francais):=To_Unbounded_String("Mise  jour");
   Lb_Update_Task(Francais):=To_Unbounded_String("Mise  jour des tches");
   Lb_Update_Message(Francais) := To_Unbounded_String(
      "Mise  jour des messages");
   Lb_Update_Buffer(Francais) := To_Unbounded_String(
      "Mise  jour des tampons");
   Lb_Update_Processor(Francais):=To_Unbounded_String(
      "Mise  jour des processeurs");
   Lb_Update_Resource(Francais):=To_Unbounded_String(
      "Mise  jour des ressources");


   Lb_Add(Francais):=To_Unbounded_String("Ajouter");
   Lb_Add_Task(Francais):=To_Unbounded_String("Ajouter une tche");
   Lb_Add_Processor(Francais):=To_Unbounded_String(
      "Ajouter un processeur");
   Lb_Add_Buffer(Francais) := To_Unbounded_String("Ajouter un tampon");
   Lb_Add_Message(Francais) := To_Unbounded_String("Ajouter un message");
   Lb_Add_Resource(Francais):=To_Unbounded_String("Ajouter une ressource");


   Lb_List(Francais):=To_Unbounded_String("Lister");
   Lb_Tasks_List(Francais):=To_Unbounded_String("Liste des tches");
   Lb_Processors_List(Francais):=To_Unbounded_String(
      "Liste des processeurs");
   Lb_Resources_List(Francais):=To_Unbounded_String(
      "Liste des ressources");
   Lb_Messages_List(Francais):=To_Unbounded_String("Liste des messages");
   Lb_Buffers_List(Francais):=To_Unbounded_String("Liste des tampons");


   Lb_Delete(Francais):=To_Unbounded_String("Supprimer");
   Lb_Delete_Task(Francais):=To_Unbounded_String("Supprimer une tche");
   Lb_Delete_Processor(Francais):=To_Unbounded_String(
      "Supprimer un processeur");
   Lb_Delete_Resource(Francais):=To_Unbounded_String(
      "Supprimer une ressource");
   Lb_Delete_Message(Francais) := To_Unbounded_String(
      "Supprimer un message");
   Lb_Delete_Buffer(Francais) := To_Unbounded_String(
      "Supprimer un tampon");



   Lb_Add(English):=To_Unbounded_String("Add");
   Lb_Add_Task(English):=To_Unbounded_String("Add a task");
   Lb_Add_Processor(English):=To_Unbounded_String("Add a processor");
   Lb_Add_Resource(English):=To_Unbounded_String("Add a resource");
   Lb_Add_Buffer(English) := To_Unbounded_String("Add a buffer");
   Lb_Add_Message(English) := To_Unbounded_String("Add a message");

   Lb_Delete(English):=To_Unbounded_String("Delete");
   Lb_Delete_Message(English) := To_Unbounded_String("Delete a message");
   Lb_Delete_Buffer(English) := To_Unbounded_String("Delete a buffer");
   Lb_Delete_Task(English):=To_Unbounded_String("Delete a task");
   Lb_Delete_Processor(English):=To_Unbounded_String("Delete a processor");
   Lb_Delete_Resource(English):=To_Unbounded_String("Delete a resource");

   Lb_List(English):=To_Unbounded_String("List");
   Lb_Tasks_List(English):=To_Unbounded_String("List tasks");
   Lb_Processors_List(English):=To_Unbounded_String("List processors");
   Lb_Resources_List(English):=To_Unbounded_String("List resources");
   Lb_Messages_List(English):=To_Unbounded_String("List messages");
   Lb_Buffers_List(English):=To_Unbounded_String("List buffers");
   Lb_Messages_List(English) := To_Unbounded_String("List messages");


   Lb_Update(English):=To_Unbounded_String("Update");
   Lb_Update_Task(English):=To_Unbounded_String("Update tasks");
   Lb_Update_Processor(English):=To_Unbounded_String("Update processors");
   Lb_Update_Resource(English):=To_Unbounded_String("Update resources");
   Lb_Update_Message(English) := To_Unbounded_String("Update messages");
   Lb_Update_Buffer(English) := To_Unbounded_String("Update buffers");



   ------------------------------------------------------------
   --   Errors on messages/tasks/processors/resources/buffers
   ------------------------------------------------------------


   Lb_Resource_Not_Found(Francais) := To_Unbounded_String(
      "Ressource Inconnue ");
   Lb_Message_Not_Found(Francais) := To_Unbounded_String(
      "Message inconnu");
   Lb_Task_Not_Found(Francais):=To_Unbounded_String("Tche inconnue");
   Lb_Processor_Not_Found(Francais):=To_Unbounded_String(
      "Processeur inconnu");
   Lb_Buffer_Not_Found(Francais) := To_Unbounded_String("Tampon inconnu");

   Lb_Resource_Not_Found(English) := To_Unbounded_String(
      "Resource not found");
   Lb_Message_Not_Found(English) := To_Unbounded_String(
      "Message not found");
   Lb_Task_Not_Found(English):=To_Unbounded_String("Task not found");
   Lb_Processor_Not_Found(English):=To_Unbounded_String(
      "Processor not found");
   Lb_Buffer_Not_Found(English) := To_Unbounded_String("Buffer not found");


   Lb_Define_Tasks_Before(Francais):=To_Unbounded_String(
      "Dfinir une tche d'abord");
   Lb_Define_Processors_Before(Francais):=To_Unbounded_String(
      "Dfinir un processeur d'abord");
   Lb_Define_Messages_Before(Francais) := To_Unbounded_String(
      "Dfinir un message d'abord");
   Lb_Define_Resources_Before(Francais) := To_Unbounded_String(
      "Dfinir une ressource d'abord");
   Lb_Define_Buffers_Before(Francais):=To_Unbounded_String(
      "Dfinir un tampon d'abord");

   Lb_Define_Tasks_Before(English):=To_Unbounded_String(
      "Define a task before");
   Lb_Define_Processors_Before(English):=To_Unbounded_String(
      "Define a processor before");
   Lb_Define_Messages_Before(English) := To_Unbounded_String(
      "Define a message before");
   Lb_Define_Resources_Before(English) := To_Unbounded_String(
      "Define a resource before");
   Lb_Define_Buffers_Before(English):=To_Unbounded_String(
      "Define a buffer before");



   ----------------------------------------------------
   --    I/O Errors and messages
   ----------------------------------------------------

   -- Check translations for files

   Lb_Open_File(English):=To_Unbounded_String("Open file");
   Lb_Save_File(English):=To_Unbounded_String("Save file");
   Lb_Not_Saved_File(English):=To_Unbounded_String(
      "Warning : the file is not saved");
   Lb_Can_Not_Open_File(English):=To_Unbounded_String(
      "Can not open file");
   Lb_Can_Not_Save_File(English):=To_Unbounded_String(
      "Can not save file");
   Lb_File_Name(English):=To_Unbounded_String(
      "File name");

   Lb_Open_File(Francais):=To_Unbounded_String("Ouvrir un fichier");
   Lb_Save_File(Francais):=To_Unbounded_String("Sauvegarder un fichier");
   Lb_Not_Saved_File(Francais):=To_Unbounded_String(
      "Attention : le fichier n'est pas sauvegard");
   Lb_Can_Not_Open_File(Francais):=To_Unbounded_String(
      "Impossible de lire le fichier");
   Lb_Can_Not_Save_File(Francais):=To_Unbounded_String(
      "Impossible de sauvegarder le fichier");
   Lb_File_Name(Francais):=To_Unbounded_String(
      "Nom de fichier");

   Lb_Open_Project(English):=To_Unbounded_String("Open project");
   Lb_Save_Project(English):=To_Unbounded_String("Save project");
   Lb_Not_Saved_Project(English):=To_Unbounded_String(
      "Warning : the project is not saved");
   Lb_Can_Not_Open_Project(English):=To_Unbounded_String(
      "Can not open project files");
   Lb_Can_Not_Save_Project(English):=To_Unbounded_String(
      "Can not save project files");

   Lb_Open_Project(Francais):=To_Unbounded_String(
      "Ouvrir un projet");
   Lb_Save_Project(Francais):=To_Unbounded_String(
      "Sauvegarder un projet");
   Lb_Not_Saved_Project(Francais):=To_Unbounded_String(
      "Attention : le projet n'est pas sauvegard");
   Lb_Can_Not_Open_Project(Francais):=To_Unbounded_String(
      "Impossible de lire le projet");
   Lb_Can_Not_Save_Project(Francais):=To_Unbounded_String(
      "Impossible de sauvegarder le projet");


   ----------------------------------------------------
   --   Widget text fields
   ----------------------------------------------------


   --
   --  Processors widgets
   --
   Lb_Only_On_Parametric(Francais):=To_Unbounded_String(
      "Opration possible uniquement avec un ordonnanceur paramtrique");
   Lb_Scheduler_Behavior(Francais):=To_Unbounded_String(
      "Nom de fichier");
   Lb_Read_From_File(Francais):=To_Unbounded_String(
      "Lire");
   Lb_Quantum_Control(Francais):=To_Unbounded_String(
      "Valeur du quantum invalide avec l'ordonnanceur slectionn");
   Lb_Processor(Francais):=To_Unbounded_String("Processeur ");
   Lb_Processor_Name(Francais):=To_Unbounded_String("Nom du processeur");
   Lb_Scheduler(Francais):=To_Unbounded_String("Ordonnanceur");
   Lb_Option (Francais):=To_Unbounded_String("Option");
   Lb_Preemptive(Francais):=To_Unbounded_String("Premptif");
   Lb_Not_Preemptive(Francais):=To_Unbounded_String("Non premptif");
   Lb_Invalid_Identifier(Francais):=To_Unbounded_String(
      "Identificateur invalide");

   ----------------
   Lb_Only_On_Parametric(English):=To_Unbounded_String(
      "Only permitted on parametric scheduler");
   Lb_Scheduler_Behavior(English):=To_Unbounded_String(
      "File name");
   Lb_Read_From_File(English):=To_Unbounded_String("Read");
   Lb_Quantum_Control(English):=To_Unbounded_String(
      "Invalid quantum with selected scheduler");
   Lb_Processor(English):=To_Unbounded_String("Processor ");
   Lb_Processor_Name(English):=To_Unbounded_String("Processor name");
   Lb_Scheduler(English):=To_Unbounded_String("Scheduler");
   Lb_Option(English):=To_Unbounded_String("Option");
   Lb_Preemptive(English):=To_Unbounded_String("Preemptive");
   Lb_Not_Preemptive(English):=To_Unbounded_String("Not preemptive");
   Lb_Invalid_Identifier(English):=To_Unbounded_String(
      "Invalid identifier");


   --
   --  Tasks widgets
   --
   Lb_Task_Name(Francais):=To_Unbounded_String("Nom de la tche");
   Lb_Task(Francais) := To_Unbounded_String("Tche");
   Lb_Task_Type(Francais) := To_Unbounded_String("Type de tche");
   Lb_Capacity(Francais):=To_Unbounded_String("Capacit");
   Lb_Deadline(Francais):=To_Unbounded_String("Echance");
   Lb_Period(Francais):=To_Unbounded_String("Priode");
   Lb_Jitter(Francais):=To_Unbounded_String("Gigue");
   Lb_Priority(Francais):=To_Unbounded_String("Priorit");
   Lb_Policy(Francais):=To_Unbounded_String("Politique");
   Lb_Policy_Control(Francais):=To_Unbounded_String(
      "Politique incompatible avec le niveau de priorit selectionn");
   Lb_Start_Time(Francais):=To_Unbounded_String("Arrive");
   Lb_Offset_Val(Francais):=To_Unbounded_String("Val. offset");
   Lb_Offset_Act(Francais):=To_Unbounded_String("Offset act.");
   Lb_Offsets(Francais):=To_Unbounded_String("Offsets");
   Lb_Activations(Francais):=To_Unbounded_String("Activations");
   Lb_Activation(Francais):=To_Unbounded_String("Activation");
   Lb_Values(Francais):=To_Unbounded_String("Valeurs");
   Lb_Value(Francais):=To_Unbounded_String("Valeur");
   Lb_User_Defined_Parameter(Francais):=To_Unbounded_String(
      "Paramtres utilisateurs");
   Lb_File_For_Parametric_Only(Francais):= To_Unbounded_String(
      "Nom de fichier seulement avec une tche paramtrique");
   Lb_Main(Francais):=To_Unbounded_String("Page principale");
   Lb_Can_Not_Modify(Francais):=To_Unbounded_String(
      "Ne peut pas tre modifi.");
   Lb_No_Period(Francais):=To_Unbounded_String("n'a pas la priode");
   Lb_Require_Period(Francais):=To_Unbounded_String("exige la priode");
   Lb_Select_Task_First(Francais):=To_Unbounded_String(
      "Choisissez une tche d'abord");
   Lb_Seed(Francais):=To_Unbounded_String("Graine");
   Lb_Predictable(Francais):=To_Unbounded_String("Prvisible");
   Lb_Unpredictable(Francais):=To_Unbounded_String("Imprvisible");
   Lb_Task_Not_Permitted(Francais):= To_Unbounded_String(
      "Operation impossible pour la tche selectionne");

   --------------
   Lb_Task_Name(English):=To_Unbounded_String("Task name");
   Lb_Task(English) := To_Unbounded_String("Task");
   Lb_Task_Type(English) := To_Unbounded_String("Task type");
   Lb_Capacity(English):=To_Unbounded_String("Capacity");
   Lb_Deadline(English):=To_Unbounded_String("Deadline");
   Lb_Period(English):=To_Unbounded_String("Period");
   Lb_Jitter(English):=To_Unbounded_String("Jitter");
   Lb_Priority(English):=To_Unbounded_String("Priority");
   Lb_Policy(English):=To_Unbounded_String("Policy");
   Lb_Policy_Control(English):=To_Unbounded_String(
      "Invalid policy with the selected priority level");
   Lb_Start_Time(English):=To_Unbounded_String("Start time");
   Lb_Offset_Val(English):=To_Unbounded_String("Offset val.");
   Lb_Offset_Act(English):=To_Unbounded_String("Offset act.");
   Lb_Offsets(English):=To_Unbounded_String("Offsets");
   Lb_Activations(English):=To_Unbounded_String("Activations");
   Lb_Activation(English):=To_Unbounded_String("Activation");
   Lb_Values(English):=To_Unbounded_String("Values");
   Lb_Value(English):=To_Unbounded_String("Value");
   Lb_User_Defined_Parameter(English):=To_Unbounded_String(
      "User defined parameter");
   Lb_File_For_Parametric_Only(English):= To_Unbounded_String(
      "File name only with parametric task");
   Lb_Main(English):=To_Unbounded_String("Main page");
   Lb_Can_Not_Modify(English):=To_Unbounded_String("Can not be modified");
   Lb_No_Period(English):=To_Unbounded_String("does not have period");
   Lb_Require_Period(English):=To_Unbounded_String("requires period");
   Lb_Select_Task_First(English):=To_Unbounded_String(
      "Select a task first");
   Lb_Seed(English):=To_Unbounded_String("Seed");
   Lb_Predictable(English):=To_Unbounded_String("Predictable");
   Lb_Unpredictable(English):=To_Unbounded_String("Unpredictable");
   Lb_Task_Not_Permitted(English):= To_Unbounded_String(
      "Operation not permitted for the selected task");


   --
   --  Messages widgets
   --
   Lb_Message(Francais) := To_Unbounded_String("Message");
   Lb_Message_Name(Francais) := To_Unbounded_String("Nom du message");
   -------------
   Lb_Message(English) := To_Unbounded_String("Message");
   Lb_Message_Name(English) := To_Unbounded_String("Message name");

   --
   --  Buffers widgets
   --
   Lb_Buffer(Francais) := To_Unbounded_String("Tampon");
   Lb_Buffer_Name(Francais) := To_Unbounded_String("Nom du tampon");
   Lb_Size(Francais) := To_Unbounded_String("Taille");
   Lb_Time(Francais) := To_Unbounded_String("Temps");
   Lb_Maximum_Buffer_Size(Francais) := To_Unbounded_String(
      "Taille maximale du tampon : ");
   Lb_Utilization_Level(Francais) := To_Unbounded_String(
      "Taux d'utilisation");
   Lb_Bound_Buffer(Francais) := To_Unbounded_String(
      "Borne sur les tampons");
   Lb_Role_Type(Francais) := To_Unbounded_String("Type");
   Lb_Role(Francais) := To_Unbounded_String("Rle");
   Lb_Role_Consumer(Francais) := To_Unbounded_String("Consommateur");
   Lb_Role_Producer(Francais) := To_Unbounded_String("Producteur");
   Lb_Buffer_Information(Francais):=To_Unbounded_String(
      "Information sur le tampon ");
   Lb_Buffer_List(Francais):=To_Unbounded_String("Liste des tampons ");
   Lb_Role_List(Francais):=To_Unbounded_String(
      "Tches utilisant le tampon ");

   ---------------
   Lb_Buffer(English) := To_Unbounded_String("Buffer");
   Lb_Buffer_Name(English) := To_Unbounded_String("Buffer name");
   Lb_Size(English) := To_Unbounded_String("Size");
   Lb_Time(English) := To_Unbounded_String("Time");
   Lb_Maximum_Buffer_Size(English) := To_Unbounded_String(
      "Maximum buffer size : ");
   Lb_Utilization_Level(English) := To_Unbounded_String(
      "Utilization factor");
   Lb_Bound_Buffer(English) := To_Unbounded_String(
      "Bound on buffers");
   Lb_Role_Type(English) := To_Unbounded_String("Type");
   Lb_Role(English) := To_Unbounded_String("Role");
   Lb_Role_Consumer(English) := To_Unbounded_String("Consumer");
   Lb_Role_Producer(English) := To_Unbounded_String("Producer");
   Lb_Buffer_Information(English):=To_Unbounded_String(
      "Buffer information ");
   Lb_Buffer_List(English):=To_Unbounded_String("Buffer list ");
   Lb_Role_List(English):=To_Unbounded_String(
      "Tasks using the buffer ");

   --
   --  Resources widgets
   --
   Lb_Resource_Name(Francais) := To_Unbounded_String(
      "Nom de la ressource");
   Lb_Resource(Francais):=To_Unbounded_String("Ressource");
   Lb_Update_Resource_Control(Francais) := To_Unbounded_String(
      "Tche selectionne invalide");
   Lb_Resource_Filter(Francais) :=  To_Unbounded_String(
      "Selectionner une ressource");
   Lb_Cpu_Filter(Francais) := To_Unbounded_String(
      "Selectionner un processeur");
   Lb_View_Resource_State (Francais):= To_Unbounded_String("Etat");
   Lb_View_Resource_Protocol (Francais):= To_Unbounded_String("Protocole");
   Lb_Modify(Francais) := To_Unbounded_String("Modifier");
   Lb_Use_Protocol(Francais) := To_Unbounded_String (
      "Protocole utilis : ");
   Lb_Resource_State(Francais) := To_Unbounded_String(
      "Etat de la ressource (Entier) : ");
   Lb_Task_Begin(Francais) := To_Unbounded_String("Dbut");
   Lb_Task_End(Francais) :=  To_Unbounded_String("Fin");
   Lb_Resources(Francais):=To_Unbounded_String("Ressources");
   Lb_Resource_Affect(Francais):= To_Unbounded_String(
      "Ressource partage par les tches ");
   Lb_Resource_Information(Francais):=To_Unbounded_String(
      "Information sur la resource ");
   ----------------
   Lb_Resource_Name(English) := To_Unbounded_String("Resource name");
   Lb_Resource(English):=To_Unbounded_String("Resource");
   Lb_Update_Resource_Control(English) := To_Unbounded_String(
      "Invalid selected task");
   Lb_Resource_Filter(English) :=  To_Unbounded_String(
      "Select a Resource");
   Lb_Cpu_Filter(English) := To_Unbounded_String("Select a processor");
   Lb_View_Resource_State (English):= To_Unbounded_String("State");
   Lb_View_Resource_Protocol (English):= To_Unbounded_String("Protocol");
   Lb_Modify(English) := To_Unbounded_String("Modify");
   Lb_Use_Protocol(English) := To_Unbounded_String ("Used Protocol : ");
   Lb_Resource_State(English) := To_Unbounded_String(
      "Resource State (Integer) : ");
   Lb_Task_Begin(English) := To_Unbounded_String("Begin");
   Lb_Task_End(English) :=  To_Unbounded_String("End");
   Lb_Resources(English):=To_Unbounded_String("Resources");
   Lb_Resource_Affect(English):= To_Unbounded_String(
      "Resource shared by tasks ");
   Lb_Resource_Information(English):=To_Unbounded_String(
      "Resource information ");

   --
   --  Dependencies graph widgets
   --
   Lb_New_Buffer_Role(Francais):=To_Unbounded_String(
      "Nouveau rle tampon");
   Lb_Disp1(Francais) := To_Unbounded_String("Disposition 1");
   Lb_Disp2(Francais) := To_Unbounded_String("Disposition 2");
   Lb_Disp3(Francais) := To_Unbounded_String("Disposition 3");
   Lb_Create(Francais) := To_Unbounded_String("Crer");
   Lb_Select(Francais) := To_Unbounded_String("Selectionner");
   Lb_Name(Francais) := To_Unbounded_String("Nom");
   Lb_Select_Row_Before(Francais) := To_Unbounded_String(
      "Selectionner une ligne avant");
   Lb_Precedencies(Francais) := To_Unbounded_String("Prcdences");
   Lb_Arrow(Francais) := To_Unbounded_String("Flche");
   Lb_New_Item(Francais) := To_Unbounded_String("Nouvel objet");
   Lb_Graph_View(Francais):=To_Unbounded_String("Graphe de prcdences");
   Lb_Choose_Item(Francais) := To_Unbounded_String("Choisisser l'objet");
   ------------
   Lb_New_Buffer_Role(English):=To_Unbounded_String("New buffer role");
   Lb_Disp1(English) := To_Unbounded_String("Layout 1");
   Lb_Disp2(English) := To_Unbounded_String("Layout 2");
   Lb_Disp3(English) := To_Unbounded_String("Layout 3");
   Lb_Create(English) := To_Unbounded_String("Create");
   Lb_Select(English) := To_Unbounded_String("Select");
   Lb_Name(English) := To_Unbounded_String("Name");
   Lb_Select_Row_Before(English) := To_Unbounded_String(
      "Select a row before");
   Lb_Precedencies(English) := To_Unbounded_String("Precedencies");
   Lb_Arrow(English) := To_Unbounded_String("Arrow");
   Lb_New_Item(English) := To_Unbounded_String("New item");
   Lb_Graph_View(English):=To_Unbounded_String("Precedencies graph");
   Lb_Choose_Item(English) := To_Unbounded_String("Choose an item");


   --
   --  Duplicate widget
   --
   Lb_Duplicate(English):=To_Unbounded_String("Duplicate");
   Lb_Duplicate(Francais):=To_Unbounded_String("Copier");
   Lb_Old(English):=To_Unbounded_String("Old");
   Lb_Old(Francais):=To_Unbounded_String("Ancien");
   Lb_Object(English):=To_Unbounded_String("Object");
   Lb_Object(Francais):=To_Unbounded_String("Objet");


   --
   -- Others ...
   --
   Lb_Advanced(Francais):=To_Unbounded_String("Avanc");
   Lb_Cancel(Francais):=To_Unbounded_String("Annuler");
   Lb_Warning(Francais):=To_Unbounded_String("- Attention : ");
   Lb_See(Francais):=To_Unbounded_String("cf. ");
   Lb_Equation(Francais):=To_Unbounded_String("quation ");
   Lb_Theorem(Francais):=To_Unbounded_String("thorme ");
   Lb_Lemma(Francais):=To_Unbounded_String("lemme ");
   Lb_Inferior(Francais) := To_Unbounded_String("infrieur  ");
   Lb_Superior(Francais) := To_Unbounded_String("suprieur  ");
   Lb_Close(Francais) := To_Unbounded_String("Fermer");
   Lb_And(Francais) := To_Unbounded_String("et ");
   Lb_Continue(Francais) := To_Unbounded_String("Voulez-vous continuer?");
   ---------
   Lb_Advanced(English):=To_Unbounded_String("Advanced");
   Lb_Cancel(English):=To_Unbounded_String("Cancel");
   Lb_Warning(English):=To_Unbounded_String("- Warning : ");
   Lb_See(English):=To_Unbounded_String("see ");
   Lb_Equation(English):=To_Unbounded_String("equation ");
   Lb_Theorem(English):=To_Unbounded_String("theorem ");
   Lb_Lemma(English):=To_Unbounded_String("lemma ");
   Lb_Inferior(English) := To_Unbounded_String("less than ");
   Lb_Superior(English) := To_Unbounded_String("greater than ");
   Lb_Close(English) := To_Unbounded_String("Close");
   Lb_And(English) := To_Unbounded_String("and ");
   Lb_Continue(English) := To_Unbounded_String(
      "Do you want to continue ?");


   ----------------------------------------------------
   --   Seed options
   ----------------------------------------------------

   Lb_Seed_Options(Francais):=
      To_Unbounded_String("Options de graine :");
   Lb_Task_Specific(Francais):=
      To_Unbounded_String("Graine de dtail de tche");
   Lb_All_Predictable(Francais):=
      To_Unbounded_String("Prvisible pour toutes les tches");
   Lb_All_Unpredictable(Francais):=
      To_Unbounded_String("Imprvisible pour toutes les tches");
   ---
   Lb_Seed_Options(English):=
      To_Unbounded_String("Seed options :");
   Lb_Task_Specific(English):=
      To_Unbounded_String("Task specific seed");
   Lb_All_Predictable(English):=
      To_Unbounded_String("Predictable for all tasks");
   Lb_All_Unpredictable(English):=
      To_Unbounded_String("Unpredictable for all tasks");

   ----------------------------------------------------
   --   Data controls
   ----------------------------------------------------

   Lb_Invalid_Priority(Francais):=
      To_Unbounded_String("Valeur de priorit incorrect");
   Lb_Mandatory(Francais):=To_Unbounded_String(
      " est obligatoire");
   Lb_Already_Defined(Francais):=To_Unbounded_String(
      " dj dfini");
   Lb_Must_Be(Francais):=To_Unbounded_String(
      " doit tre ");
   Lb_Must_Be_Numeric(Francais):=To_Unbounded_String(
      " doit tre numrique");
   Lb_Parameter(Francais):=To_Unbounded_String("Le paramtre ");


   Lb_Invalid_Priority(English):=
      To_Unbounded_String("Invalid priority value");
   Lb_Mandatory(English):=To_Unbounded_String(
      " is mandatory");
   Lb_Already_Defined(English):=To_Unbounded_String(
      " already defined");
   Lb_Must_Be(English):=To_Unbounded_String(
      " must be ");
   Lb_Must_Be_Numeric(English):=To_Unbounded_String(" must be numeric");
   Lb_Parameter(English):=To_Unbounded_String("Parameter ");



   ----------------------------------------------------
   --   Parametric scheduler messages
   ----------------------------------------------------

   --
   -- Parser and parametric simulation error
   --
   Lb_Type_Error(English) := To_Unbounded_String("Type error");
   Lb_Statement_Error(English) := To_Unbounded_String("Statement error");
   Lb_Variable_Error(English) := To_Unbounded_String("Variable error");
   Lb_Syntax_Error(English):=
      To_Unbounded_String( "Parsing error");
   Lb_Identifier_Already_Exists(English):=
      To_Unbounded_String( "Identifier already exits");
   Lb_Undeclared_Identifier(English):=
      To_Unbounded_String( "Undeclared identifier");
   Lb_Identifier(English):=
      To_Unbounded_String( "Identifier");
   Lb_Integer_Conversion_Error(English):=
      To_Unbounded_String( "Integer conversion error");
   Lb_Double_Conversion_Error(English):=
      To_Unbounded_String( "Double conversion error");
   Lb_Index_Error(English):=
      To_Unbounded_String( "Table index error");
   Lb_Uncompatible_Type_Error(English):=
      To_Unbounded_String( "Uncompatible types");
   Lb_Can_Not_Edit_To_Parametric_Object(English):=
      To_Unbounded_String(
      "Can not edit two parametric objects at the same time");
   Lb_Operation_Not_Permitted(English):=
      To_Unbounded_String( "Operation not permitted ");

   Lb_Type_Error(Francais) := To_Unbounded_String("Erreur de type");
   Lb_Statement_Error(Francais) := To_Unbounded_String(
      "Erreur sur instruction");
   Lb_Variable_Error(Francais) := To_Unbounded_String(
      "Erreur sur variable");
   Lb_Syntax_Error(Francais):=
      To_Unbounded_String( "Erreur de syntaxe");
   Lb_Identifier_Already_Exists(Francais):=
      To_Unbounded_String( "Identificateur dj dclar");
   Lb_Undeclared_Identifier(Francais):=
      To_Unbounded_String( "Identificateur non dclar");
   Lb_Identifier(Francais):=
      To_Unbounded_String( "Identificateur");
   Lb_Integer_Conversion_Error(Francais):=
      To_Unbounded_String( "Erreur de conversion sur type entier");
   Lb_Double_Conversion_Error(Francais):=
      To_Unbounded_String( "Erreur de conversion sur type double");
   Lb_Index_Error(Francais):=
      To_Unbounded_String( "Erreur sur index de tableau");
   Lb_Uncompatible_Type_Error(Francais):=
      To_Unbounded_String( "Types incompatibles");
   Lb_Can_Not_Edit_To_Parametric_Object(Francais):=
      To_Unbounded_String(
      "Impossible d'diter deux objets paramtriques au mme instant");
   Lb_Operation_Not_Permitted(Francais):=
      To_Unbounded_String( "Opration interdite ");




   ----------------------------------------------------
   --   Logic messages/errors (scheduling, buffer
   --           and blocking time)
   ----------------------------------------------------


   --
   -- Blocking logic
   --

   Lb_Compute_Blocking_Error1(Francais):=To_Unbounded_String(
      "- Toutes les tches doivent utiliser le mme protocole de partage de ressources.");
   Lb_Compute_Blocking_Error2(Francais):=To_Unbounded_String(
      " utilise un protocole de partage de ressources incompatible avec l'ordonnanceur du processeur.");
   Lb_Compute_Blocking_Error1(English):=To_Unbounded_String(
      "- All tasks have to use the same shared resource protocol.");
   Lb_Compute_Blocking_Error2(English):=To_Unbounded_String(
      " has a shared resource protocol which does not work with the scheduler of its processor.");

   Lb_Blocking_Time(English) := To_Unbounded_String("Blocking time ");
   Lb_Blocking_Time(Francais) := To_Unbounded_String("Temps de blocage ");

   Lb_Inject_Success(English) := To_Unbounded_String(
      "- Task blocking times are updated.");
   Lb_Inject_Success(Francais) := To_Unbounded_String(
      "- Modification des temps de blocage effectue.");


   --
   -- Scheduling logic
   --

   Lb_Simulation_Error(Francais):=To_Unbounded_String(
      "Erreur de simulation : ");
   Lb_Priorities_Error(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de modifier les priorits.");
   Lb_Set_Priorities_Dm(Francais):=To_Unbounded_String(
      "- Affectation des priorits selon Deadline Monotonic");
   Lb_Set_Priorities_Rm(Francais):=To_Unbounded_String(
      "- Affectation des priorits selon Rate Monotonic");
   Lb_Set_Priorities(Francais):=To_Unbounded_String(
      "Affectation des priorits");


   Lb_Scheduling_Options(Francais):=To_Unbounded_String(
      "Paramtrage de l'ordonnancement");
   Lb_Schedule_According_To(Francais) :=To_Unbounded_String(
      "Ordonnancement en tenant compte des :");
   Lb_Schedule_From_To(Francais):=To_Unbounded_String(
      "Ordonnancer de 0  : ");
   Lb_Periodic_Situation(Francais):=To_Unbounded_String(
      " dans le cas priodique");
   Lb_Scheduling(Francais):=To_Unbounded_String("Ordonnancement");
   Lb_Free_Unit_Time(Francais):=To_Unbounded_String(
      " units de temps sont libres sur la priode d'tude.");
   Lb_Utilization_With_Period(Francais):=To_Unbounded_String(
      "- Le taux d'utilisation calcul avec les priodes est de ");
   Lb_Utilization_With_Deadline(Francais):=To_Unbounded_String(
      "- Le taux d'utilisation calcul avec les chances est de ");
   Lb_Utilization_Bound(Francais):=To_Unbounded_String(
      "- Dans le cas premptif, les tches sont ordonnanables si le taux d'utilisation du processeur est infrieur ou gal  la borne : ");
   Lb_Task_Response_Time(Francais):=To_Unbounded_String(
      "- Temps de rponse des tches : ");
   Lb_Task_Response_Time_From_Simulation(Francais):=To_Unbounded_String(
      "- Temps de rponse des tches : (par simulation)");
   Lb_Scheduling_Period(Francais):=To_Unbounded_String(
      "- La priode d'tude est");
   Lb_No_Missed_Deadline(Francais):=To_Unbounded_String(
      "Pas d'chance manque pour l'ordonnancement dessin.");
   Lb_Number_Of_Preemption(Francais):=To_Unbounded_String(
      "- Nombre de premption : ");
   Lb_Priorities(Francais):=To_Unbounded_String("- Nouvelles priorits :");


   Lb_Compute_Error_1(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : l'ordonnanceur slectionne est incompatible.");
   Lb_Compute_Error_2(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer la priode d'tude avec ce jeu de tches.");
   Lb_Compute_Error_3(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : impossible de calculer la priode d'tude avec ce jeu de tches.");
   Lb_Compute_Error_4(Francais):=To_Unbounded_String(
      "- Tches avec priodes diffrentes des chances : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_5(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_6(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_7(Francais):=To_Unbounded_String(
      "- Taux d'utilisation trp lev : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_8(Francais):=To_Unbounded_String(
      "- Erreur interne : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_9(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer un taux d'utilisation avec ce jeu de tches.");
   Lb_Compute_Error_10(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tches : impossible de calculer un taux d'utilisation avec ce jeu de tches.");
   Lb_Compute_Error_11(Francais):=To_Unbounded_String(
      "- Tches avec priorit identique : l'ordonnanceur slectionne est incompatible.");
   Lb_Compute_Error_12(Francais):=To_Unbounded_String(
      "- Tches avec date d'arrive >  zro : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_13(Francais):=To_Unbounded_String(
      "- Tches avec offset diffrents de zro : impossible de calculer un temps de rponse avec ce jeu de tches.");
   Lb_Compute_Error_14(Francais):=To_Unbounded_String(
      "- Tches avec priodes diffrentes des chances : l'ordonnanceur slectionn est incompatible.");
   Lb_Compute_Error_15(Francais):=To_Unbounded_String(
      "- Tches non priodiques : l'ordonnanceur slectionn est incompatible.");
   Lb_Compute_Error_18(Francais):=To_Unbounded_String(
      "- Ordonnanceur invalide : impossible de calculer les temps de rponse avec cet ordonnanceur.");
   Lb_Compute_Error_19(Francais):=To_Unbounded_String(
      "- Ordonnanceur invalide : impossible de calculer une borne sur le taux d'utilisation.");



   Lb_Check_Deadline(Francais):=To_Unbounded_String(
      " a rat son chance (chance = ");
   Lb_Periodic(Francais):=To_Unbounded_String("La tche priodique ");
   Lb_Aperiodic(Francais):=To_Unbounded_String("La tche apriodique ");
   Lb_Poisson_Process(Francais):=To_Unbounded_String("La tche Poisson ");
   Lb_Parametric_Task(Francais):=To_Unbounded_String(
      "La tche paramtrique");
   Lb_Completion_Time(Francais):=To_Unbounded_String(" ; terminaison = ");



   Lb_Simulation_Error(English):=To_Unbounded_String(
      "Simulation error : ");
   Lb_Priorities_Error(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not set priorities.");
   Lb_Set_Priorities_Dm(English):=To_Unbounded_String(
      "Set priorities according to Deadline Monotonic");
   Lb_Set_Priorities_Rm(English):=To_Unbounded_String(
      "Set priorities according to Rate Monotonic");
   Lb_Set_Priorities(English):=To_Unbounded_String(
      "Set priorities");

   Lb_Scheduling_Options(English):=To_Unbounded_String(
      "Scheduling options");
   Lb_Schedule_According_To(English) :=To_Unbounded_String(
      "Scheduling according to : ");
   Lb_Schedule_From_To(English):=To_Unbounded_String(
      "Schedule from 0 to : ");
   Lb_Periodic_Situation(English):=To_Unbounded_String(
      " in periodic case");
   Lb_Scheduling(English):=To_Unbounded_String("Scheduling");
   Lb_Free_Unit_Time(English):=To_Unbounded_String(
      " units of time are unused in the base period.");
   Lb_Utilization_With_Period(English):=To_Unbounded_String(
      "- Processor utilization factor with period is ");
   Lb_Utilization_With_Deadline(English):=To_Unbounded_String(
      "- Processor utilization factor with deadline is ");
   Lb_Utilization_Bound(English):=To_Unbounded_String(
      "- In the preemptive case, tasks are schedulable if processor utilization factor with period is equal or less than ");
   Lb_Task_Response_Time(English):=To_Unbounded_String(
      "- Tasks response time : ");
   Lb_Task_Response_Time_From_Simulation(English):=To_Unbounded_String(
      "- Tasks response time : (from simulation)");
   Lb_Scheduling_Period(English):=To_Unbounded_String(
      "- The base period is");
   Lb_No_Missed_Deadline(English):=To_Unbounded_String(
      "No deadline missed in the drawn scheduling.");
   Lb_Number_Of_Preemption(English):=To_Unbounded_String(
      "- Number of preemption : ");
   Lb_Priorities(English):=To_Unbounded_String("- Updated priorities :");

   Lb_Compute_Error_1(English):=To_Unbounded_String(
      "- Task model error : can not apply the selected scheduler with this task set.");
   Lb_Compute_Error_2(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute base period with this task set. ");
   Lb_Compute_Error_3(English):=To_Unbounded_String(
      "- Task model error : can not compute base period with this task set. ");
   Lb_Compute_Error_4(English):=To_Unbounded_String(
      "- Tasks must have period equal to deadline : can not compute response time with this task set. ");
   Lb_Compute_Error_5(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute response time with this task set.");
   Lb_Compute_Error_6(English):=To_Unbounded_String(
      "- Task model error : can not compute response time with this task set.");
   Lb_Compute_Error_7(English):=To_Unbounded_String(
      "- Processor utilization exceeded : can not compute response time with this task set. ");
   Lb_Compute_Error_8(English):=To_Unbounded_String(
      "- Internal Error : can not compute response time with this task set.");
   Lb_Compute_Error_9(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute processor utilization factor with this task set. ");
   Lb_Compute_Error_10(English):=To_Unbounded_String(
      "- Task model error : can not compute processor utilization factor with period. ");
   Lb_Compute_Error_11(English):=To_Unbounded_String(
      "- Several tasks have same priority level : can not apply the selected scheduler with this task set.");
   Lb_Compute_Error_12(English):=To_Unbounded_String(
      "- Task with non zero start time : can not compute response time with this task set.");
   Lb_Compute_Error_13(English):=To_Unbounded_String(
      "- Task with non zero offset : can not compute response time with this task set.");
   Lb_Compute_Error_14(English):=To_Unbounded_String(
      "- Task must have period equal to deadline : can not apply the selected scheduler with this task set. ");
   Lb_Compute_Error_15(English):=To_Unbounded_String(
      "- Task must be periodic : can not apply the selected scheduler with this task set. ");
   Lb_Compute_Error_18(English):=To_Unbounded_String(
      "- Invalid scheduler  : can not compute response time with this scheduler. ");
   Lb_Compute_Error_19(English):=To_Unbounded_String(
      "- Invalid scheduler  : can not compute bound on processor utilization factor. ");



   Lb_Check_Deadline(English):=To_Unbounded_String(
      " missed its deadline (deadline = ");
   Lb_Periodic(English):=To_Unbounded_String("Periodic task ");
   Lb_Aperiodic(English):=To_Unbounded_String("Aperiodic task ");
   Lb_Poisson_Process(English):=To_Unbounded_String("Poisson process ");
   Lb_Parametric_Task(English):=To_Unbounded_String("Parametric task ");
   Lb_Completion_Time(English):=To_Unbounded_String(
      " ; completion time = ");



   --
   -- Buffer logic
   --

   Lb_Schedule_Before(Francais):=To_Unbounded_String(
      "Calculer un ordonnancement d'abord");
   Lb_Buffer_Utilization(Francais):=To_Unbounded_String(
      "Taux d'occupation du tampon : ");
   Lb_Compute_Error_16(Francais):=To_Unbounded_String(
      "- Contrainte de dbit non respecte : impossible de calculer la borne du tampon avec ce jeu de tches.");
   Lb_Compute_Error_17(Francais):=To_Unbounded_String(
      "- Tches non priodiques : impossible de calculer la borne du tampon avec ce jeu de tche.");
   Lb_Harmonic(Francais) := To_Unbounded_String("Harmonique");
   Lb_Compute_Error_20(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : impossible de calculer la borne de tampon avec plusieurs consommateurs. ");


   Lb_Schedule_Before(English):=To_Unbounded_String(
      "Compute a scheduling before");
   Lb_Buffer_Utilization(English):=To_Unbounded_String(
      "Buffer utilization factor : ");
   Lb_Compute_Error_16(English):=To_Unbounded_String(
      "- Data flow constraint not respected : can not compute buffer bound with this task set. ");
   Lb_Compute_Error_17(English):=To_Unbounded_String(
      "- Tasks must be periodic : can not compute buffer bound with this task set. ");
   Lb_Harmonic(English) := To_Unbounded_String("Harmonic");
   Lb_Compute_Error_20(English):=To_Unbounded_String(
      "- Task model error : can not compute bound with several consumers. ");




   --
   -- Dependencies logic
   --
   Lb_Chetto(Francais):=To_Unbounded_String(
      "Applications des rgles de Chetto/Blazewicz");
   Lb_Chetto_Deadline(Francais):=To_Unbounded_String(
      "Modification des chances selon Chetto/Blazewicz");
   Lb_Chetto_Priority(Francais):=To_Unbounded_String(
      "Modification des priorits selon Chetto/Blazewicz");

   Lb_Jitter_From_Response_Time_One_Step(Francais):=To_Unbounded_String(
      "Un pas de calcul");
   Lb_Jitter_From_Response_Time_All_Steps(Francais):=To_Unbounded_String(
      "Tous les pas de calcul");
   Lb_Jitter_From_Response_Time(Francais):=To_Unbounded_String(
      "Temps de rponse de bout en bout");

   Lb_Deadlines_Are_Updated(English):=To_Unbounded_String(
      "- Mise  jour des chances effectue.");
   Lb_Priorities_Are_Updated(Francais):=To_Unbounded_String(
      "- Mise  jour des priorits effectue.");
   Lb_Jitters_Are_Updated(Francais):=To_Unbounded_String(
      "- Mise  jour des gigues effectue.");
   Lb_Precedencies_Period_Error(Francais):=To_Unbounded_String(
      "- Imposible d'ordonnancer avec les contraintes de precedence : les tches ayant des contraintes de prcdence doivent avoir une priode identique.");
   Lb_Chetto_Error1(Francais):=To_Unbounded_String(
      "- Chetto/Blazewicz impossible  appliquer : le graphe de prcdence doit tre acyclique.");
   Lb_Chetto_Error2(Francais):=To_Unbounded_String(
      "- Tches avec des priodes diffrentes : impossible d'appliquer la mthode de Chetto/Blazewicz. ");
   Lb_Chetto_Error3(Francais):=To_Unbounded_String(
      "- Erreur sur le modle de tche : impossible d'appliquer la mthode de Chetto/Blazewicz. ");


   Lb_Chetto(English):=To_Unbounded_String(
      "Applying Chetto/Blazewicz rules");
   Lb_Chetto_Deadline(English):=To_Unbounded_String(
      "Chetto/Blazewicz modifications on deadlines");
   Lb_Chetto_Priority(English):=To_Unbounded_String(
      "Chetto/Blazewicz modifications on priorities");

   Lb_Jitter_From_Response_Time(English):=To_Unbounded_String(
      "End to end response time");
   Lb_Jitter_From_Response_Time_One_Step(English):=To_Unbounded_String(
      "Compute one step");
   Lb_Jitter_From_Response_Time_All_Steps(English):=To_Unbounded_String(
      "Compute all steps");

   Lb_Deadlines_Are_Updated(English):=To_Unbounded_String(
      "- Deadlines are updated.");
   Lb_Priorities_Are_Updated(English):=To_Unbounded_String(
      "- Priorities are updated.");
   Lb_Jitters_Are_Updated(English):=To_Unbounded_String(
      "- Jitters are updated.");
   Lb_Precedencies_Period_Error(English):=To_Unbounded_String(
      "- Can not schedule with precedencies : task precedencies required that tasks have the same period.");
   Lb_Chetto_Error1(English):=To_Unbounded_String(
      "- Can not apply Chetto/Blazewicz parameter modifications : the dependencies graph have to be acyclic.");
   Lb_Chetto_Error2(English):=To_Unbounded_String(
      "- Tasks must have the same period : can not apply Chetto/Blazewicz method on this task set.");
   Lb_Chetto_Error3(English):=To_Unbounded_String(
      "- Tasks model error : can not apply Chetto/Blazewicz method on this task set. ");


   --
   -- Random tools
   --
   Lb_Random(English):=To_Unbounded_String("Random");
   Lb_Random(Francais):=To_Unbounded_String("Alatoire");
   Lb_Compute_Response_Time_Density(English):=To_Unbounded_String(
      "Compute response time density");
   Lb_Compute_Response_Time_Density(Francais):=To_Unbounded_String(
      "Calculer la densit sur temps de rponse");
   Lb_Response_Time_Density(English):=To_Unbounded_String(
      "Response time density");
   Lb_Response_Time_Density(Francais):=To_Unbounded_String(
      "Densit des temps de rponse");
   Lb_Response_Time(English):=To_Unbounded_String(
      "response time");
   Lb_Response_Time(Francais):=To_Unbounded_String(
      "temps de rponse");






end Translate;







